library(textureAnalyzerGels)
# ============ This script does secondary treatment on data that has already been read
root_folder = "/data/Evaluation/Ejection Force/EPI"

setwd(root_folder)

load("ejection_force_data.rda")

treshold=100 # Minimal force required to consider the piston as touching


for(ind in 1:(dim(overview_ejection_force)[1]))
{
    
    current_data = ejection_force_data[[ind]]
    
    current_data$File=overview_ejection_force$File[ind]
    current_data$Folder=overview_ejection_force$Folder[ind]
    current_data$syringe_diameter_mm=overview_ejection_force$syringe_diameter_mm[ind]
    current_data$syringe_volume_mL=overview_ejection_force$syringe_volume_mL[ind]
    current_data$batch=overview_ejection_force$batch[ind]
    current_data$injection_speed_mm_sec=overview_ejection_force$injection_speed_mm_sec[ind]
    
    
    
    
    
    touchpoint=current_data$Distance[min(which(current_data$Force>treshold))]
    
    
    current_data$Distance = current_data$Distance-touchpoint
    
    current_data$overview_index=ind
    
    if(ind==1)
    {
        ejection_force_data_as_dataframe = current_data
    } else
    {
        ejection_force_data_as_dataframe = rbind(ejection_force_data_as_dataframe,current_data)
    }
    
    
    
    
    
}




ejection_force_data_as_dataframe$d=round(ejection_force_data_as_dataframe$Distance)

ejection_force_data_as_dataframe=ejection_force_data_as_dataframe[ejection_force_data_as_dataframe$d<=55,]



ejection_force_data_as_dataframe$Force_N = ejection_force_data_as_dataframe$Force/1000*9.81

ejection_force_data_aggregated=aggregate(Force_N ~ d+ injection_speed_mm_sec+batch,ejection_force_data_as_dataframe,FUN=mean)
ejection_force_data_aggregated_sd=aggregate(Force_N ~ d+ injection_speed_mm_sec+batch,ejection_force_data_as_dataframe,FUN=sd)



save(file="/results/Evaluation/Ejection Force/EPI/ejection_force_data_aggregated.rda",list=c("root_folder","overview_ejection_force","ejection_force_data_as_dataframe","ejection_force_data_aggregated","ejection_force_data_aggregated_sd"))







