library(textureAnalyzerGels)


# ============ This is a local path, you need to set it so that R can find overview_ejection_force.xlsx =========
#root_folder = "/data/Raw/For Supplementaries/Supplementary 11 Ejection"

root_folder="/data/Raw/Ejection Force/EPI"

setwd(root_folder)

overview_ejection_force_bulk = read.xls("overview_ejection_force_particle_size_variation 021220 Bulk.xlsx")

cat("Loading bulk ejection data files\n")
ejection_force_bulk=read_texture_analyzer_tab_list(overview_ejection_force_bulk,root_folder,do_plot=FALSE,unit_line=0,skip_lines=0,dec=",",sep="\t",
Force_column="Load (gf)",Distance_column="Displacement (mm)",aggregate_by=FALSE,chuck_diameter_column="syringe_diameter_mm",do_smoothing=FALSE)


# Exclude lines with technical issues (there is one experiment where the syringe fell off the holder)
ejection_force_bulk=ejection_force_bulk[overview_ejection_force_bulk$Technical_issue==0]

overview_ejection_force_bulk=overview_ejection_force_bulk[overview_ejection_force_bulk$Technical_issue==0,]

setwd("/results/Evaluation/Ejection Force/EPI")
save(file="ejection_force_bulk.rda",list=c("ejection_force_bulk","overview_ejection_force_bulk"))
