library(readxl)



root_folder = "/data/Raw/In vivo"

setwd(root_folder)

in_vivo_inflammation_encapsulation = as.data.frame(read_excel("inflammation and encapsulation EPI Juvederm.xlsx",sheet="for_R"))


# Reformat numerically
in_vivo_inflammation_encapsulation$Sample=as.numeric(in_vivo_inflammation_encapsulation$Sample)
in_vivo_inflammation_encapsulation$Lymphocytes=as.numeric(in_vivo_inflammation_encapsulation$Lymphocytes)
in_vivo_inflammation_encapsulation$Macrophages=as.numeric(in_vivo_inflammation_encapsulation$Macrophages)
in_vivo_inflammation_encapsulation$Giant_cells=as.numeric(in_vivo_inflammation_encapsulation$Giant_cells)
in_vivo_inflammation_encapsulation$PMN_cells=as.numeric(in_vivo_inflammation_encapsulation$PMN_cells)
in_vivo_inflammation_encapsulation$Time_point_weeks=as.numeric(in_vivo_inflammation_encapsulation$Time_point_weeks)
in_vivo_inflammation_encapsulation$Capsule_thickness_microns=as.numeric(in_vivo_inflammation_encapsulation$Capsule_thickness_microns)




# Supply a location where R can write the output files

setwd("/results/Evaluation/In vivo")


save(file="in_vivo_inflammation_encapsulation.rda",list=c("root_folder","in_vivo_inflammation_encapsulation"))

