library(readxl)



root_folder = "/data/Raw/In vivo"

setwd(root_folder)

in_vivo_colonization_vascularization = as.data.frame(read_excel("Colonization vascularization EPI Juvederm.xlsx",sheet="for_R"))


# Reformat numerically
in_vivo_colonization_vascularization$Sample=as.numeric(in_vivo_colonization_vascularization$Sample)
in_vivo_colonization_vascularization$Time_point_month=as.numeric(in_vivo_colonization_vascularization$Time_point_month)
in_vivo_colonization_vascularization$area_fraction_occupied_by_cells_percent=as.numeric(in_vivo_colonization_vascularization$area_fraction_occupied_by_cells_percent)
in_vivo_colonization_vascularization$vessels_per_field_of_view=as.numeric(in_vivo_colonization_vascularization$vessels_per_field_of_view)




# Supply a location where R can write the output files

setwd("/results/Evaluation/In vivo")


save(file="in_vivo_colonization_vascularization.rda",list=c("root_folder","in_vivo_colonization_vascularization"))

