library(readxl)
library(rheologyEvaluation)

root_folder="/data/Raw/Porosity/EPI/Pore fraction"

setwd(root_folder)

EPI_porosity = as.data.frame(read_excel("result_manual Tresholding_final.txt.xlsx",sheet=1))
EPI_porosity$phase_volume = EPI_porosity$Mean/255
EPI_porosity$porosity = 1-EPI_porosity$phase_volume




EPI_porosity_agg = aggregate(porosity ~ Polymer_concentration, EPI_porosity, FUN=mean)
EPI_porosity_agg_sd = aggregate(porosity ~ Polymer_concentration, EPI_porosity, FUN=sd)



linmod=lm(phase_volume ~ 0+Polymer_concentration, EPI_porosity[EPI_porosity$Polymer_concentration<60,])


wall_concentration = 1/coefficients(linmod)[["Polymer_concentration"]]






# Global stuff for fitting

phase_volume=EPI_porosity$phase_volume

Polymer_concentration=EPI_porosity$Polymer_concentration

gamma=0.01

for(gg in 1:10)
{
    
    wall_concentration=coefficients(nls(phase_volume ~ wall_fraction(polymer_concentration=Polymer_concentration,wall_concentration=wall_concentration,gamma=0.01),start=list(wall_concentration=wall_concentration)))[["wall_concentration"]]
    
    gamma=coefficients(nls(phase_volume ~ wall_fraction(polymer_concentration=Polymer_concentration,wall_concentration=wall_concentration,gamma=gamma),start=list(gamma=gamma)))[["gamma"]]
    
    
}


coeffs=coefficients(nls(phase_volume ~ wall_fraction(polymer_concentration=Polymer_concentration,wall_concentration=wall_concentration,gamma=gamma),start=list(gamma=gamma,wall_concentration=wall_concentration),control=nls.control(warnOnly=TRUE)))


EPI_gamma=coeffs[["gamma"]]

EPI_wall_concentration=coeffs[["wall_concentration"]]


for_theory=seq(from=0,to=110,length.out=200)

EPI_pore_fraction_gamma <-function(concentration) {1-wall_fraction(polymer_concentration=concentration,wall_concentration=EPI_wall_concentration,gamma=EPI_gamma)}


pore_fraction_theory = EPI_pore_fraction_gamma(for_theory)


# File saving into the Data evaluation area
save(file="/results/Evaluation/Porosity/EPI/Pore\ fraction/EPI_porosity.rda",list=c("EPI_porosity","EPI_wall_concentration","EPI_porosity_agg","EPI_porosity_agg_sd","EPI_pore_fraction_gamma","EPI_gamma"))






