library(readxl)
library(rheologyEvaluation)



root_folder="/data/Raw/Porosity/EPI/Pore size"

setwd(root_folder)



EPI_pore_size = as.data.frame(read_excel("Results MacroOnExcelFileList_for_pore_size.xlsx",sheet=1))

#Character encoding issue
colnames(EPI_pore_size)[colnames(EPI_pore_size)=="...1"]="X__1"

EPI_pore_size$dry_weight_conc = EPI_pore_size[,"Polymer concentration"]

EPI_pore_size = EPI_pore_size[EPI_pore_size$dry_weight_conc>0,]


EPI_pore_size$diameter=EPI_pore_size[,c("Mean pore diameter (Volume weighted, no boundary pores)")]

pore_size_agg=aggregate(diameter ~ dry_weight_conc, EPI_pore_size, FUN=mean)
pore_size_agg_sd=aggregate(diameter ~ dry_weight_conc, EPI_pore_size, FUN=sd)




xlim=c(0,120)


# For the theory lines






Dwall=23 # For the model
# This script also needs the evaluation in terms of the pore fraction
load("/data/Evaluation/Porosity/EPI/Pore fraction/EPI_porosity.rda")


pore_fraction_theory = EPI_pore_fraction_gamma(pore_size_agg$dry_weight_conc)

pore_size_agg$porosity=EPI_pore_fraction_gamma(pore_size_agg$dry_weight_conc)

diameter=pore_size_agg$diameter

porosity=pore_size_agg$porosity



n=3

n=coefficients(nls(diameter ~ Dwall*(porosity)^(1/n)/(1-(porosity)^(1/n)),start=list(n=n)))[["n"]]


logdiameter=log(diameter)

logporosity=log(porosity)

for(i in 1:100)
{
    
    
    n=coefficients(nls(logdiameter ~ log(Dwall)+log((porosity)^(1/n)/(1-(porosity)^(1/n))),start=list(n=n)))[["n"]]
    
    Dwall=coefficients(nls(logdiameter ~ log(Dwall)+log((porosity)^(1/n)/(1-(porosity)^(1/n))),start=list(Dwall=Dwall)))[["Dwall"]]
    
    
}

n_EPI=n

Dwall_EPI = Dwall






batch_information_EPI = "This is batch PB51"


# Save the evaluated data to file
save(file="/results/Evaluation/Porosity/EPI/Pore size/pore_size_fitting_constants_EPI.rda",list=c("n_EPI","Dwall_EPI","batch_information_EPI","EPI_pore_size"))
































