library(readxl)
library(rheologyEvaluation)

root_folder="/data/Raw/Porosity/EPI_intra_inter_particle_pore_space"

setwd(root_folder)

EPI_intra_inter_particle_pore_space = as.data.frame(read_excel("file_listing_intra_inter_pore_space.xlsx",sheet="Results"))

EPI_intra_inter_particle_pore_space$Experiment=as.factor(as.character(EPI_intra_inter_particle_pore_space$Experiment))
EPI_intra_inter_particle_pore_space$polymer_concentration_mgmL=as.numeric(EPI_intra_inter_particle_pore_space$polymer_concentration_mgmL)
EPI_intra_inter_particle_pore_space$green_EPImg=as.numeric(EPI_intra_inter_particle_pore_space$green_EPImg)
EPI_intra_inter_particle_pore_space$red_EPI_mg=as.numeric(EPI_intra_inter_particle_pore_space$red_EPI_mg)
EPI_intra_inter_particle_pore_space$Objective=as.factor(as.character(EPI_intra_inter_particle_pore_space$Objective))
EPI_intra_inter_particle_pore_space$Mean_pore_size_intra=as.numeric(EPI_intra_inter_particle_pore_space$Mean_pore_size_intra)
EPI_intra_inter_particle_pore_space$Mean_pore_size_inter=as.numeric(EPI_intra_inter_particle_pore_space$Mean_pore_size_inter)
EPI_intra_inter_particle_pore_space$particle_area_mm2=as.numeric(EPI_intra_inter_particle_pore_space$particle_area_mm2)
EPI_intra_inter_particle_pore_space$Fraction_intraparticle=as.numeric(EPI_intra_inter_particle_pore_space$Fraction_intraparticle)
EPI_intra_inter_particle_pore_space$fraction_minority_color=as.numeric(EPI_intra_inter_particle_pore_space$fraction_minority_color)


save(file="/results/Evaluation/Porosity/EPI/inter_intra_particle_pore_space/EPI_intra_inter_particle_pore_space.rda"
   ,list=c("EPI_intra_inter_particle_pore_space","root_folder"))




