library(readxl)
library(rheologyEvaluation)


# Configure here the raw data path (content in "03 Raw Porosity.zip")
root_folder="/data/Raw/Porosity/Sephacryl_S200"

setwd(root_folder)



sephacryl_S200_porosity = as.data.frame(read_excel("porosity_files.xlsx",sheet=3))
sephacryl_S200_porosity$phase_volume = sephacryl_S200_porosity$Mean/255
sephacryl_S200_porosity$porosity = 1-sephacryl_S200_porosity$phase_volume




sephacryl_S200_porosity_agg = aggregate(porosity ~ Polymer_concentration, sephacryl_S200_porosity, FUN=mean)
sephacryl_S200_porosity_agg_sd = aggregate(porosity ~ Polymer_concentration, sephacryl_S200_porosity, FUN=sd)




sephacryl_wall_concentration=70




# Global stuff for fitting

phase_volume=sephacryl_S200_porosity$phase_volume

Polymer_concentration=sephacryl_S200_porosity$Polymer_concentration

gamma=0.01

for(gg in 1:10)
{

sephacryl_wall_concentration=coefficients(nls(phase_volume ~ wall_fraction(polymer_concentration=Polymer_concentration,wall_concentration=wall_concentration,gamma=0.01),start=list(wall_concentration=sephacryl_wall_concentration)))[["wall_concentration"]]

gamma=coefficients(nls(phase_volume ~ wall_fraction(polymer_concentration=Polymer_concentration,wall_concentration=sephacryl_wall_concentration,gamma=gamma),start=list(gamma=gamma)))[["gamma"]]


}


coeffs=coefficients(nls(phase_volume ~ wall_fraction(polymer_concentration=Polymer_concentration,wall_concentration=wall_concentration,gamma=gamma),start=list(gamma=gamma,wall_concentration=sephacryl_wall_concentration),control=nls.control(warnOnly=TRUE)))


sephacryl_gamma=coeffs[["gamma"]]

sephacryl_wall_concentration=coeffs[["wall_concentration"]]



sephacryl_pore_fraction_gamma <-function(concentration) {1-wall_fraction(concentration,sephacryl_wall_concentration,sephacryl_gamma)}


# Configure the data evaluation path

setwd("/results/Evaluation/Porosity/Sephacryl_S200/Pore fraction")

save(file="sephacryl_S200_porosity.rda",list=c("sephacryl_S200_porosity","sephacryl_wall_concentration","sephacryl_S200_porosity_agg","sephacryl_S200_porosity_agg_sd","sephacryl_pore_fraction_gamma","sephacryl_gamma"))







