library(readxl)
library(rheologyEvaluation)

# Configure here the raw data path
root_folder="/data/Raw/Porosity/Sephacryl_S200"

setwd(root_folder)


sephacryl_S200_pore_size = as.data.frame(read_excel("porosity_files.xlsx",sheet=5))


#Character encoding issue
colnames(sephacryl_S200_pore_size)[colnames(sephacryl_S200_pore_size)=="...1"]="X__1"



sephacryl_S200_pore_size$diameter = sephacryl_S200_pore_size[,"Mean pore diameter (Volume weighted, no boundary pores)"]

sephacryl_S200_pore_size$dry_weight_conc = sephacryl_S200_pore_size[,"Polymer_concentration"]




sephacryl_S200_pore_size_agg=aggregate(diameter ~ dry_weight_conc,sephacryl_S200_pore_size,FUN=mean)

sephacryl_S200_pore_size_agg_sd=aggregate(diameter ~ dry_weight_conc,sephacryl_S200_pore_size,FUN=sd)












# This script also depends on the pore fraction data since we relate pore size to pore fraction
load("/data/Evaluation/Porosity/Sephacryl_S200/Pore fraction/sephacryl_S200_porosity.rda")


diameter=sephacryl_S200_pore_size_agg$diameter

porosity=sephacryl_pore_fraction_gamma(sephacryl_S200_pore_size_agg$dry_weight_conc)



n=3

Dwall=23

n=coefficients(nls(diameter ~ Dwall*(porosity)^(1/n)/(1-(porosity)^(1/n)),start=list(n=n)))[["n"]]


logdiameter=log(diameter)

logporosity=log(porosity)

for(i in 1:100)
{
    
    
    n=coefficients(nls(logdiameter ~ log(Dwall)+log((porosity)^(1/n)/(1-(porosity)^(1/n))),start=list(n=n)))[["n"]]
    
    Dwall=coefficients(nls(logdiameter ~ log(Dwall)+log((porosity)^(1/n)/(1-(porosity)^(1/n))),start=list(Dwall=Dwall)))[["Dwall"]]
    
}



D_sephacryl=Dwall
n_sephacryl=n



# Configure here the data evaluation path
save(file="/results/Evaluation/Porosity/Sephacryl_S200/Pore size/pore_size_fitting_constants_sephacryl_S200.rda",list=c("n_sephacryl", "D_sephacryl","sephacryl_S200_pore_size"))
































