library(readxl)

root_folder="/data/Raw/Rheology/Flow curves/EPI"

setwd(root_folder)

Sys.setlocale("LC_ALL","C") # To avoid problems with encoding

overview_EPI_yield_stress = as.data.frame(read_excel("flow_curves_EPI.xlsx"))

overview_EPI_yield_stress$yield_stress = NA

overview_EPI_yield_stress$max_deformation_rate=NA


for(ind in 1:(dim(overview_EPI_yield_stress)[1]))
{
    info=overview_EPI_yield_stress[ind,]
    
    
    current_data=read.table(file=paste(info$Folder_yield_stress,info$File_yield_stress,sep="/"),header=TRUE,skip=info$start_yield-1,nrows=info$stop_yield-info$start_yield,sep=c(";"),comment.char="",blank.lines.skip=FALSE,quote="")
    if(dim(current_data)[2]==1) # Tab as separator
    {
    current_data=read.table(file=paste(info$Folder_yield_stress,info$File_yield_stress,sep="/"),header=TRUE,skip=info$start_yield-1,nrows=info$stop_yield-info$start_yield,sep=c("\t"),comment.char="",blank.lines.skip=FALSE,quote="")
    }
    
    colnames(current_data)[colnames(current_data)=="X..en.1.s"]="Gp.en.1.s" # deformation rate in 1/s
    colnames(current_data)[colnames(current_data)=="X..en.Pa"]="Tau.en.Pa" # shear stress in Pa
    colnames(current_data)[colnames(current_data)=="X..en.Pas"]="Eta.en.Pas" # viscosity in Pa*s
    
    
    if(! ("Gp.en.1.s" %in% colnames(current_data)))
    
    current_data$Gp.en.1.s=current_data$Gp.en.1.s*overview_EPI_yield_stress$Correction_factor_mistake_in_M[ind]
    
    current_data$Eta.en.Pas=current_data$Eta.en.Pas/overview_EPI_yield_stress$Correction_factor_mistake_in_M[ind]
    
    
    
    
    
    
    
    overview_EPI_yield_stress$yield_stress[ind] = max(current_data$Tau.en.Pa [current_data$t.en.s > 5])
    
    overview_EPI_yield_stress$max_deformation_rate[ind] = max(current_data$Gp.en.1.s [current_data$t.en.s > 5])
    
    
    
    
    
    
    
    
}

save(file="/results/Evaluation/Rheology/Flow curves/EPI/EPI_yield_stress.rda",list=c("overview_EPI_yield_stress","root_folder"))





