library(readxl)

root_folder="/data/Raw/Rheology/Flow curves/Sephacryl_S200"

setwd(root_folder)

Sys.setlocale("LC_ALL","C") # To avoid problems with encoding

overview_sephacryl_S200_yield_stress = as.data.frame(read_excel("flow_curves_sephacryl.xlsx"))

overview_sephacryl_S200_yield_stress$yield_stress = NA


for(ind in 1:(dim(overview_sephacryl_S200_yield_stress)[1]))
{
    info=overview_sephacryl_S200_yield_stress[ind,]
    
    
    current_data=read.table(file=paste(info$Folder_yield_stress,info$File_yield_stress,sep="/"),header=TRUE,skip=info$start_yield-1,nrows=info$stop_yield-info$start_yield,sep=c(";"),comment.char="",blank.lines.skip=FALSE,quote="")
    
    
    current_data$Gp.en.1.s=current_data$Gp.en.1.s*overview_sephacryl_S200_yield_stress$Correction_factor_mistake_in_M[ind]
    
    current_data$Eta.en.Pas=current_data$Eta.en.Pas/overview_sephacryl_S200_yield_stress$Correction_factor_mistake_in_M[ind]
    
    
    
    overview_sephacryl_S200_yield_stress$yield_stress[ind] = max(current_data$Tau.en.Pa [current_data$t.en.s > 5])
    
    overview_sephacryl_S200_yield_stress$max_deformation_rate[ind] = max(current_data$Gp.en.1.s [current_data$t.en.s > 5])
    
    
    
    
    
}

save(file="/results/Evaluation/Rheology/Flow curves/Sephacryl_S200/sephacryl_S200_yield_stress.rda",list=c("overview_sephacryl_S200_yield_stress","root_folder"))





