library(readxl)


root_folder="/data/Raw/Rheology/Injectability testing/EPI/Rheology_PlatePlate_Selfhealing_Post_Injection"

setwd(root_folder)


overview=as.data.frame(read_excel("overview_files_rheology_injectability.xlsx"))

overview$start_line = as.numeric(overview$start_line)
overview$stop_line=as.numeric(overview$stop_line)


theColnames=c("t.en.s","t_seg.en.s","X.....en.Pas","f.en.Hz" , "file" ,"folder","polymer_conc_mgmL"
,"aspiration_pressure_cm_H2O","correction_factor_M","X..en.Pa","G..en.Pa","X.G...en.Pa.","X..en...1","X..en..","Polymer_concentration_adjustment","Dry_weight_measurement","Geometry")



for(ind in 1:(dim(overview)[1]))
{

info=overview[ind,]

current_data = read.table(file=paste(info$Folder,info$File,sep="/"),header=TRUE,skip=info$start_line-1,nrows=info$stop_line-info$start_line,sep="\t",comment.char="",blank.lines.skip=FALSE,quote="",fileEncoding="latin1")

# Encoding issue, to make consistent with previous evaluation
    colnames(current_data)[colnames(current_data)=="M.en.\302\265Nm"]="M.en..Nm"
    colnames(current_data)[colnames(current_data)=="\303\202.en.."]="X..en.."

current_data = current_data[(1+info$skip):(dim(current_data)[1]),]

current_data$File=info$File
current_data$Folder=info$Folder
current_data$start_line=info$start_line
current_data$polymer_conc_mgmL=info$polymer_conc_mgmL
current_data$aspiration_pressure_cm_H2O = info$aspiration_pressure_cm_H2O
current_data$correction_factor_M = info$correction_factor_M
current_data$Polymer_concentration_adjustment=info$Polymer_concentration_adjustment
current_data$Dry_weight_measurement=info$Dry_weight_measurement
current_data$Geometry=info$Geometry
current_data$n_injections=info$n_injections








if(ind==1)
{
    theColnames=colnames(current_data)
    all_data = current_data
    
    
} else
{
    all_data = rbind(all_data,current_data[,theColnames])
}
}




all_data$tau_Pa=5
colnames(all_data)[colnames(all_data)=="G..en.Pa"]="Gprime_Pa"
colnames(all_data)[colnames(all_data)=="G..en.Pa.1"]="Gprimeprime_Pa"



# Get the polymer content from the aspiration pressure




stress_sweeps_injections=all_data

overview_injections = overview

# configure here your data evaluation path
save(file="/results/Evaluation/Rheology/Injectability testing/EPI/stress_sweeps_injections.rda",list=c("stress_sweeps_injections","overview_injections"))




