library(readxl)
library(rheologyEvaluation)

rm(list=ls())

# To calculate the notional phase volume




# Access to the data evaluation path to fit the polynomial model; this is the file "stress_sweeps_EPI.rda"

root_folder = "/data/Evaluation/Rheology/Stress Sweeps/EPI"

setwd(root_folder)


# add the data acquired when completing to get the yield stress

load("stress_sweeps_EPI.rda")


overview_EPI = overview_EPI[overview_EPI$Geometry=="cup",]  # Use only cup geometry because Sephacryl was measured in cup geometry


xlim=c(0,100)

overview_EPI$logGprime = log(overview_EPI$Gprime)
overview_EPI$logpolymer_conc_mgmL= log(overview_EPI$polymer_conc_mgmL)


# For fitting

ord=order(overview_EPI$polymer_conc_mgmL)
Gprime = overview_EPI$Gprime[ord]
polymer_conc_mgmL=overview_EPI$polymer_conc_mgmL[ord]
logGprime=log(Gprime)

# This somehow works better for the fitting
logpolynomial_model<-function(x,A,c0,m)
{
    r=polynomial_model(x,A,c0,m)
    r[r>0]=log(r[r>0])
    r[r<=0]=-100
    return(r)
}



m=2.5
coeffs=coefficients(nls(logGprime~logpolynomial_model(polymer_conc_mgmL,A,c0,m),start=list(c0=min(polymer_conc_mgmL)*0.9,A=1)))

A=coeffs[["A"]]
c0=coeffs[["c0"]]

coeffs=coefficients(nls(logGprime~logpolynomial_model(polymer_conc_mgmL,A,c0,m),start=list(m=m,A=A)))

A=coeffs[["A"]]
m=coeffs[["m"]]

coeffs=coefficients(nls(logGprime~logpolynomial_model(polymer_conc_mgmL,A,c0,m),start=list(m=m,A=A,c0=c0)))

A=coeffs[["A"]]
m=coeffs[["m"]]
c0=coeffs[["c0"]]





A_EPI=A
c0_EPI=c0
m_EPI=m

# Configure here your data evaluation path

save(file="/results/Evaluation/Rheology/Stress Sweeps/EPI/polynomial_model_Gprime_EPI.rda","A_EPI","c0_EPI","m_EPI")









