

load(file="/data/Evaluation/Rheology/Stress Sweeps/EPI/stress_sweeps_EPI_neutralization.rda")


common_columns = c("file","folder","ID","polymer_conc_mgmL",
   "f.en.Hz","tau_Pa","Gprime_Pa","Gprimeprime_Pa",
   "Phase_angle_degrees" ,"Gamma_in_percent","Geometry","Gprime_Pa_0")



# Only the non-neutralized sweeps
stress_sweeps_EPI_all = stress_sweeps_EPI_neutralization[stress_sweeps_EPI_neutralization$Neutralization_percentage==0,]

stress_sweeps_EPI_all$ID = paste("Neutralization",stress_sweeps_EPI_all$overview_index,sep="_")

stress_sweeps_EPI_all$Gprime_Pa_0 = overview_EPI_neutralization$Gprime[stress_sweeps_EPI_all$overview_index]

stress_sweeps_EPI_all=stress_sweeps_EPI_all[,common_columns]





load("/data/Evaluation/Rheology/Stress Sweeps/EPI/stress_sweeps_EPI.rda")

stress_sweeps_EPI$ID = paste("EPI_main",stress_sweeps_EPI$overview_index,sep="_")

stress_sweeps_EPI$Gprime_Pa_0 = overview_EPI$Gprime[stress_sweeps_EPI$overview_index]

stress_sweeps_EPI_all=rbind(stress_sweeps_EPI_all,stress_sweeps_EPI[,common_columns])



# Dataset witht the variation of the particle geometry

load("/data/Evaluation/For Supplementaries/Supplementary 9 Material comparison/stress_sweeps_comparison.rda")

to_use = stress_sweeps_comparison[stress_sweeps_comparison$Material=="EPI",]

to_use$ID = paste("comparison",to_use$overview_index,sep="_")

to_use$Gprime_Pa_0 = overview_comparison$Gprime[to_use$overview_index]

stress_sweeps_EPI_all=rbind(stress_sweeps_EPI_all,to_use[,common_columns])


# Part of the dataset with the coatings: The reference curves without coating


load(file="/data/Evaluation/Rheology/Stress Sweeps/EPI_coating/stress_sweeps_coating.rda")

stress_sweeps_coating=stress_sweeps_coating[stress_sweeps_coating$Mass_fraction_coating==0,]


stress_sweeps_coating$Gprime_Pa_0 = overview_coating$Gprime[stress_sweeps_coating$overview_index]

stress_sweeps_coating$ID = paste("coating",stress_sweeps_coating$overview_index,sep="_")

stress_sweeps_EPI_all=rbind(stress_sweeps_EPI_all,stress_sweeps_coating[,common_columns])

save(file="/results/Evaluation/Rheology/Stress Sweeps/EPI/stress_sweeps_EPI_all.rda",list="stress_sweeps_EPI_all")




