library(rheologyEvaluation)

rm(list=ls())

# To calculate the notional phase volume

# This file needs access to an already evaluated file for polynomial model fitting
# configure here the path to the stress_sweeps_sephacryl_S200.rda (currently in "08 Evaluation.zip")
load("/data/Evaluation/Rheology/Stress Sweeps/Sephacryl_S200/stress_sweeps_sephacryl_S200.rda")



ord=order(overview_sephacryl_S200$polymer_conc_mgmL)
Gprime = overview_sephacryl_S200$Gprime[ord]
polymer_conc_mgmL=overview_sephacryl_S200$polymer_conc_mgmL[ord]
logGprime=log(Gprime)


c0_sephacryl_S200=20

m_sephacryl_S200=2.5
coeffs=coefficients(nls(logGprime~logpolynomial_model(polymer_conc_mgmL,A_sephacryl_S200,c0_sephacryl_S200,m_sephacryl_S200),start=list(A_sephacryl_S200=1)))

A_sephacryl_S200=coeffs[["A_sephacryl_S200"]]


coeffs=coefficients(nls(logGprime~logpolynomial_model(polymer_conc_mgmL,A_sephacryl_S200,c0_sephacryl_S200,m_sephacryl_S200),start=list(c0_sephacryl_S200=c0_sephacryl_S200)))

c0_sephacryl_S200=coeffs[["c0_sephacryl_S200"]]

coeffs=coefficients(nls(logGprime~logpolynomial_model(polymer_conc_mgmL,A_sephacryl_S200,c0_sephacryl_S200,m_sephacryl_S200),start=list(c0_sephacryl_S200=c0_sephacryl_S200,A_sephacryl_S200=A_sephacryl_S200),control=nls.control(warnOnly=TRUE)))


A_sephacryl_S200=coeffs[["A_sephacryl_S200"]]
c0_sephacryl_S200=coeffs[["c0_sephacryl_S200"]]


coeffs=coefficients(nls(logGprime~logpolynomial_model(polymer_conc_mgmL,A_sephacryl_S200,c0_sephacryl_S200,m_sephacryl_S200),start=list(m_sephacryl_S200=m_sephacryl_S200,A_sephacryl_S200=A_sephacryl_S200)))

A_sephacryl_S200=coeffs[["A_sephacryl_S200"]]
m_sephacryl_S200=coeffs[["m_sephacryl_S200"]]

coeffs=coefficients(nls(logGprime~logpolynomial_model(polymer_conc_mgmL,A_sephacryl_S200,c0_sephacryl_S200,m_sephacryl_S200),start=list(m_sephacryl_S200=m_sephacryl_S200,c0_sephacryl_S200=c0_sephacryl_S200)))

m_sephacryl_S200=coeffs[["m_sephacryl_S200"]]
c0_sephacryl_S200=coeffs[["c0_sephacryl_S200"]]


save(file="/results/Evaluation/Rheology/Stress Sweeps/Sephacryl_S200/polynomial_model_Gprime_Sephacryl_S200.rda","A_sephacryl_S200","c0_sephacryl_S200","m_sephacryl_S200")









