library(readxl)


root_folder="/data/Raw/Rheology/Stress Sweeps/bulk"

setwd(root_folder)

Sys.setlocale("LC_ALL","C") # To avoid problems with encoding

overview=as.data.frame(read_excel("overview_files_scaffold_rheology.xlsx"))



for(ind in 1:(dim(overview)[1]))
{

info=overview[ind,]

start_line = info$header_line

stop_line = info$data_stop


current_data = read.table(file=paste(info$Folder,info$File,sep="/"),header=TRUE,skip=start_line-1,nrows=stop_line-start_line,sep="\t",comment.char="",blank.lines.skip=FALSE,quote="")


if(dim(current_data)[2]==1)
{
    current_data = read.table(file=paste(info$Folder,info$File,sep="/"),header=TRUE,skip=start_line-1,nrows=stop_line-start_line,sep=";",comment.char="",blank.lines.skip=FALSE,quote="")
    
}


current_data = current_data[(info$data_start-start_line):(stop_line-start_line),]


current_data$overview_index=ind

if(!("Eta.en.Pas" %in% colnames(current_data)))
{
   current_data$"Eta.en.Pas"=NA
}

if(info$Gprime_exchanged)
{
    
    z=current_data$G..en.Pa
    current_data$G..en.Pa=current_data$G..en.Pa.1
    current_data$G..en.Pa.1=z
}



# Correction for height, which in some cases mistaken, and in more cases simply not possible to put correctly

current_data$Eta.en.Pas=current_data$Eta.en.Pas/info$correction_height
current_data$G..en.Pa = current_data$G..en.Pa/info$correction_height
current_data$G..en.Pa.1 = current_data$G..en.Pa.1/info$correction_height


current_data$Ga.en.. = current_data$Ga.en..*info$correction_height

current_data$T.en..C = NA








if(ind==1)
{
    all_data = current_data
    theColnames=colnames(all_data)
    
    
} else
{
    all_data = rbind(all_data,current_data[,theColnames])
}



}



colnames(all_data)[colnames(all_data)=="G..en.Pa"]="Gprime_Pa"
colnames(all_data)[colnames(all_data)=="G..en.Pa.1"]="Gprimeprime_Pa"

colnames(all_data)[colnames(all_data)=="Tau.en.Pa"]="tau_Pa"


scaffold_rheology=all_data
overview_scaffold_rheology = overview




overview_scaffold_rheology$overview_index=1:(dim(overview_scaffold_rheology)[1])



save(file="/results/Evaluation/Rheology/Stress Sweeps/bulk/scaffold_rheology.rda",list=c("scaffold_rheology","overview_scaffold_rheology","root_folder"))


