library(particleShearEvaluation)
library(stringr) # To ensure operating-system independent sorting



root_folder = "/data/Raw/Simulation"


storage_folder="/results/Evaluation/Simulation/Overview_data_files/01_initial"


path_and_file_information=data.frame(path=c(
    "round_1_baseline",
    "round_2_friction_young",
    "round_3_friction_packing",
    "round_4_spherical",
    "round_5_crosslink",
    "round_6_crosslink_pack_2",
    "round_7_bulk",
    "round_8_friction_low",
    "round_9_friction_low_porous",
    "round_10_packing_1",
    "round_11_friction_low_spherical",
    "round_12_completion",
    "round_14_bulk_young",
    "round_15_bulk_thomas",
    "round_15_young_modulus_close",
    "round_16_high_friction"
),
variable_name = c(
    "overview_simulation_baseline", 
    "overview_simulation_friction_young", 
    "overview_simulation_friction_packing",
    "overview_simulation_spherical",
    "overview_simulation_crosslink",
    "overview_simulation_crosslink_pack_2",
    "overview_simulation_bulk",
    "overview_simulation_friction_low",
    "overview_simulation_friction_low_porous",
    "overview_simulation_packing_1",
    "overview_simulation_friction_low_spherical",
    "overview_simulation_completion",
    "overview_simulation_bulk_young",
    "overview_simulation_thomas_bulk",
    "overview_simulation_young_modulus_close",
    "overview_simulation_round_16_friction_high"
))

path_and_file_information$path=as.character(path_and_file_information$path)
path_and_file_information$variable_name=as.character(path_and_file_information$variable_name)

path_and_file_information$rda_file=paste(as.character(path_and_file_information$variable_name),".rda",sep="")



for(ind in 1:(dim(path_and_file_information)[1]))
{
    
setwd(root_folder)

cat(paste("Reading ", path_and_file_information$variable_name[ind],"\n",sep=""))
    theTable=file_information_table_from_folders(path_and_file_information$path[ind],min_file_size=1e3)
    
  theTable$Sample_type=factor(rep("uncrosslinked",dim(theTable)[1]),levels=c("bulk","uncrosslinked","particles"))

theTable$Sample_type[theTable$do_permanent_links]="bulk"

theTable$Sample_type[theTable$do_permanent_links & theTable$cut_lines>0]="particles"

theTable$remove_link_fraction=as.numeric(theTable$remove_link_fraction)
theTable$remove_link_fraction[!theTable$do_permanent_links]=0

theTable=theTable[str_order(theTable$File,locale="C"),] 
    # To have consistent ordering, file systems
    # give otherwise somewhat variable ordering and so it becomes
    # difficult to compare the resulting files

assign(path_and_file_information$variable_name[ind],theTable)
    
setwd(storage_folder)

# Save to the corresponding rda file
save(file=path_and_file_information$rda_file[ind],list=c(path_and_file_information$variable_name[ind]))

  
    
    
}











theTable$Sample_type=factor(rep("uncrosslinked",dim(theTable)[1]),levels=c("bulk","uncrosslinked","particles"))

theTable$Sample_type[theTable$do_permanent_links]="bulk"

theTable$Sample_type[theTable$do_permanent_links & theTable$cut_lines>0]="particles"

theTable$remove_link_fraction=as.numeric(theTable$remove_link_fraction)
theTable$remove_link_fraction[!theTable$do_permanent_links]=0



overview_simulation_baseline=theTable





