library(particleShearEvaluation)


load(file="/data/Evaluation/Simulation/Overview_data_files/02_jumps_corrected/overview_simulation_jumps_corrected_no_static_pressure.rda")

setwd("/data/Raw/Simulation")


overview_simulation$P=NA



for (ind in 1:(dim(overview_simulation)[1]))
{
    
    info = overview_simulation[ind,]
    
    stress_filename= 
    paste("stress_",gsub(".txt",".rda",info$File),sep="")
    
    stress_filename = 
    gsub("header_","",stress_filename)
    
    
    
    
    pathRead=paste(info$Folder,stress_filename,sep="/")
    
    path =paste(info$Folder,info$File,sep="/")
    
    
    
    theStressCurve=read_stress_tensor_data_from_rda_file(path=pathRead)

    theStressCurve$measurement=measurement_periods(
        theStressCurve,info$baseline_pre_periods,info$periods,info$Frequency)
        
        
    overview_simulation$P[ind]=mean(theStressCurve$stress_tensor_overall_00[theStressCurve$measurement=="pre"]+theStressCurve$stress_tensor_overall_11[theStressCurve$measurement=="pre"])/2
    
    
    cat(paste("   Stress curve ",ind," of ",dim(overview_simulation)[1],"\n",sep=""))



}

setwd("/data/Evaluation/Simulation/Overview_data_files")

save(file="overview_simulation_jumps_corrected.rda",list=c("overview_simulation","root_folder"))












