from particleShearBase import elastic_force_law_plateau
from particleShearBase import elastic_force_law
from particleShearBase import PlateauConfiguration

# This file outputs illustrative simple non-linear and
# also a plateau elastic law
# We assume a Young modulus of 2.5kPa for illustration
# puroses


root_folder="/results/Evaluation/Simulation/plateau_law"

PlateauConfiguration.relative_plateau_slope = 0.1


f = open(root_folder+"/plateau_force.txt","w")
f.write("Strain\tForce_plateau\tForce\n")



for ind in range(0,101):
    current_d = ind/100.0
    current_force = -elastic_force_law_plateau(current_d, 1, k=2500, central_repulsion_coefficient=1)
    current_force_spheres = -elastic_force_law(current_d, 1, k=2500, central_repulsion_coefficient=1)
    current_strain = 1-current_d
    f.write(str(current_strain)+"\t"+str(current_force)+"\t"+str(current_force_spheres)+"\n")


f.close()
