


load("/data/Evaluation/Rheology/Stress Sweeps/EPI/stress_sweeps_EPI.rda")

pdf("Fig_C7a.pdf")

to_use=stress_sweeps_EPI[(round(stress_sweeps_EPI$polymer_conc_mgmL)==28 & stress_sweeps_EPI$Geometry=="plate") |
    (round(stress_sweeps_EPI$polymer_conc_mgmL)==32 & stress_sweeps_EPI$Geometry=="cup"),]


data_agg=aggregate(to_use[,c("Gamma_in_percent","Gprime_Pa","Gprimeprime_Pa","Phase_angle_degrees")],by=data.frame(tau_Pa=to_use$tau_Pa,polymer_conc_mgmL=round(to_use$polymer_conc_mgmL)),FUN=mean)


data_agg_sd=aggregate(to_use[,c("Gamma_in_percent","Gprime_Pa","Gprimeprime_Pa","Phase_angle_degrees")],by=data.frame(tau_Pa=to_use$tau_Pa,polymer_conc_mgmL=round(to_use$polymer_conc_mgmL)),FUN=sd)



started=FALSE
# Plot only selected polymer concentrations for clarity
polymer_concentrations=c(28,32)

for(ind in 1:length(polymer_concentrations))
{
    
    to_plot=data_agg[data_agg$polymer_conc_mgmL==polymer_concentrations[ind],]
    
    bg=grey(c(1,0))[ind]
    
    if(!started)
    {
    plot(to_plot$tau_Pa, to_plot$Gprime_Pa,log="xy",xlab="Shear stress [Pa]",
        ylab="Storage modulus G' [Pa]",main="Cup vs. Plate",
        ylim=c(1,1e4),bg=bg,
        pch=21,col="black",xlim=c(1,1000),cex=0.75,xaxt="n",yaxt="n",type="b")
        started=TRUE
    }
    else
    {
        lines(to_plot$tau_Pa,to_plot$Gprime_Pa,bg=bg,
        pch=21,col="black",cex=0.75,type="b")
        
    }
    
    
    
    
    
    
}


# Big symbols for the elastic part



for(ind in 1:length(polymer_concentrations))
{
    
    to_plot=data_agg[data_agg$polymer_conc_mgmL==polymer_concentrations[ind] & data_agg$Gprime_Pa>=data_agg$Gprimeprime_Pa,]
    
    bg=grey(c(1,0))[ind]
    
    lines(to_plot$tau_Pa, to_plot$Gprime_Pa,bg=bg,pch=21,col="black",
    cex=2,type="p")
   
   
   
   
}
# Also draw errorbars


# 1 and 10 are directly available, but the for the tau=100 point, we take the next nearest neighbor
for(ind in 1:length(polymer_concentrations))
{
    
    
    find_100_point = data_agg[data_agg$polymer_conc_mgmL==polymer_concentrations[ind] ,]
    
    
    near_100 = find_100_point$tau_Pa[which.min(abs(find_100_point$tau_Pa-100))]


    for_errorbars = data_agg[data_agg$polymer_conc_mgmL==polymer_concentrations[ind] & data_agg$tau_Pa %in%c(1,10,near_100),]

    for_errorbars_sd = data_agg_sd[data_agg_sd$polymer_conc_mgmL==polymer_concentrations[ind] & data_agg_sd$tau_Pa %in%c(1,10,near_100),]
    
    
    arrows(x0=for_errorbars$tau_Pa,y0=for_errorbars$Gprime_Pa-for_errorbars_sd$Gprime_Pa,y1=for_errorbars$Gprime_Pa+for_errorbars_sd$Gprime_Pa,code=3,angle=90)
    
    
}






axis(side=1,at=c((1:9)*0.1,(1:9),(1:9)*10,(1:9)*100,1000),labels=c(expression(0.1),rep("",8),1,rep("",8),10,rep("",8),100,rep("",8),1000))

axis(side=2,at=c((1:9),(1:9)*10,(1:9)*100,(1:9)*1000,10000*(1:5)),labels=c(expression("1 Pa"),rep("",8),"10 Pa",rep("",8),"100 Pa",rep("",8),"1 kPa",rep("",8),"10 kPa",rep("",3),""),las=2)



legend("bottomleft",legend=c("Plate-plate","Cup"),pch=c(21,21),col="black",pt.bg=grey(c(1,0)),cex=2)


# Also, as a function of deformation (S10-6B)

dev.off()

pdf("Fig_C7b.pdf")



started=FALSE
# Plot only selected polymer concentrations for clarity
polymer_concentrations=c(28,32)

for(ind in 1:length(polymer_concentrations))
{
    
    to_plot=data_agg[data_agg$polymer_conc_mgmL==polymer_concentrations[ind],]
    
    bg=grey(c(1,0))[ind]
    
    if(!started)
    {
        plot(to_plot$Gamma_in_percent, to_plot$Gprime_Pa,log="xy",xlab="Shear strain",
        ylab="Storage modulus G' [Pa]",main="Cup vs. Plate",
        ylim=c(1,1e4),bg=bg,
        pch=21,col="black",xlim=c(0.01,1000),cex=0.75,xaxt="n",yaxt="n",type="b")
        started=TRUE
    }
    else
    {
        lines(to_plot$Gamma_in_percent,to_plot$Gprime_Pa,bg=bg,
        pch=21,col="black",cex=0.75,type="b")
        
    }
    
    
    
    
    
    
}


# Big symbols for the elastic part



for(ind in 1:length(polymer_concentrations))
{
    
    to_plot=data_agg[data_agg$polymer_conc_mgmL==polymer_concentrations[ind] & data_agg$Gprime_Pa>=data_agg$Gprimeprime_Pa,]
    
    bg=grey(c(1,0))[ind]
    
    lines(to_plot$Gamma_in_percent, to_plot$Gprime_Pa,bg=bg,pch=21,col="black",
    cex=2,type="p")
    
    
    
    
}
# Also draw errorbars


# 1 and 10 are directly available, but the for the tau=100 point, we take the next nearest neighbor
for(ind in 1:length(polymer_concentrations))
{
    
    
    find_100_point = data_agg[data_agg$polymer_conc_mgmL==polymer_concentrations[ind] ,]
    
    
    near_100 = find_100_point$tau_Pa[which.min(abs(find_100_point$tau_Pa-100))]
    pre_yielding = find_100_point$tau_Pa[which.min(abs(find_100_point$tau_Pa-340))]
    near_yielding = find_100_point$tau_Pa[which.min(abs(find_100_point$tau_Pa-350))]
    
    
    for_errorbars = data_agg[data_agg$polymer_conc_mgmL==polymer_concentrations[ind] & data_agg$tau_Pa %in%c(1,10,near_100,pre_yielding,near_yielding),]
    
    for_errorbars_sd = data_agg_sd[data_agg_sd$polymer_conc_mgmL==polymer_concentrations[ind] & data_agg_sd$tau_Pa %in%c(1,10,near_100,pre_yielding,near_yielding),]
    
    
    arrows(x0=for_errorbars$Gamma_in_percent,y0=for_errorbars$Gprime_Pa-for_errorbars_sd$Gprime_Pa,y1=for_errorbars$Gprime_Pa+for_errorbars_sd$Gprime_Pa,code=3,angle=90,length=0.05)
    
    arrows(x0=for_errorbars$Gamma_in_percent-for_errorbars_sd$Gamma_in_percent,y0=for_errorbars$Gprime_Pa,x1=for_errorbars$Gamma_in_percent+for_errorbars_sd$Gamma_in_percent,code=3,angle=90,length=0.05)
    
    
}






axis(side=1,at=c((1:9)*0.01,(1:9)*0.1,(1:9),(1:9)*10,(1:9)*100,1000),labels=c(expression(0.01),rep("",8),expression(0.1),rep("",8),1,rep("",8),10,rep("",8),100,rep("",8),1000))

axis(side=2,at=c((1:9),(1:9)*10,(1:9)*100,(1:9)*1000,10000*(1:5)),labels=c(expression("1 Pa"),rep("",8),"10 Pa",rep("",8),"100 Pa",rep("",8),"1 kPa",rep("",8),"10 kPa",rep("",3),""),las=2)



legend("bottomleft",legend=c("Plate-plate","Cup"),pch=c(21,21),col="black",pt.bg=grey(c(1,0)),cex=2)





# Yield strain


interpolate_solid_liquid<-function(sweep)
{
    
    solid = sweep[sweep$Gprime_Pa>=sweep$Gprimeprime_Pa,]
    
    
    liquid =sweep[(sweep$Gprime_Pa<sweep$Gprimeprime_Pa) ,]
    
    
    # Find the intersection for the solid-to-liquid transition
    
    lastSolid=0
    lastLiquid=0
    
    if("tau_Pa" %in% colnames(sweep))
    {
        
        lastSolid = solid[solid$tau_Pa==max(solid$tau_Pa),]
        firstLiquid = liquid[liquid$tau_Pa==min(liquid$tau_Pa),]
    } else
    {
        lastSolid = solid[solid$Gamma_in_percent==max(solid$Gamma_in_percent),]
        firstLiquid = liquid[liquid$Gamma_in_percent==min(liquid$Gamma_in_percent),]
    }
    
    
    
    alpha_transition=(lastSolid$Gprimeprime_Pa-lastSolid$Gprime_Pa)/((firstLiquid$Gprime_Pa-lastSolid$Gprime_Pa)-(firstLiquid$Gprimeprime_Pa-lastSolid$Gprimeprime_Pa))
    
    Gamma_transition=lastSolid$Gamma_in_percent+alpha_transition*(firstLiquid$Gamma_in_percent-lastSolid$Gamma_in_percent)
    
    # For test, this should be identical
    Gprime_transition=lastSolid$Gprime_Pa+alpha_transition*(firstLiquid$Gprime_Pa-lastSolid$Gprime_Pa)
    Gprimeprime_transition=lastSolid$Gprimeprime_Pa+alpha_transition*(firstLiquid$Gprimeprime_Pa-lastSolid$Gprimeprime_Pa)
    
    
    ret=vector(mode="numeric",length=2)
    names(ret)<-c("Gamma_in_percent","Gprime_Pa")
    ret["Gamma_in_percent"]=Gamma_transition
    ret["Gprime_Pa"]=Gprime_transition
    
    return(ret)
    
    
    
    
}


yield_strains=data.frame(polymer_concentration=polymer_concentrations,yield_strain=NA,yield_strain_sd=NA)

for(ind in 1:length(polymer_concentrations))
{
    # interpolation in Gamma, not in tau, so remove tau column which otherwise is used by interpolate_solid_liquid
    sweep_agg=data_agg[data_agg$polymer_conc_mgmL==polymer_concentrations[ind],colnames(data_agg)!="tau_Pa"]
    
    sweep_agg$Gprime_Pa=log(sweep_agg$Gprime_Pa)
    sweep_agg$Gprimeprime_Pa=log(sweep_agg$Gprimeprime_Pa)
    sweep_agg$Gamma_in_percent=log(sweep_agg$Gamma_in_percent)
    
    
    
    yield_strains$yield_strain[ind]=exp(interpolate_solid_liquid(sweep_agg)[["Gamma_in_percent"]])
    
    
    # For the standard deviations, find back the trials by considering the experiment time
    
    current_data = to_use[round(to_use$polymer_conc_mgmL)==polymer_concentrations[ind],]
    
    
    current_data$Gprime_Pa=log(current_data$Gprime_Pa)
    current_data$Gprimeprime_Pa=log(current_data$Gprimeprime_Pa)
    current_data$Gamma_in_percent=log(current_data$Gamma_in_percent)
    
    
    current_data$trial=1
    
    current_trial =1
    current_time = 0
    
    current_time=current_data$t.en.s[1]
    
    for(index_current in 2:length(current_data$t.en.s))
    {
        if(current_time>current_data$t.en.s[index_current])
        {
           current_trial=current_trial+1
        }
        current_data$trial[index_current]=current_trial
        current_time=current_data$t.en.s[index_current]
    }
    
    if(length(unique(current_data$trial))>1)
    {
        all_yield_strains=vector(mode="numeric",length=length(unique(current_data$trial)))
        
        for(trialIndex in 1:length(unique(current_data$trial)))
        {
            theTrial = unique(current_data$trial)[trialIndex]
            
            trial_data = current_data[current_data$trial==theTrial,]
            
            all_yield_strains[trialIndex]=exp(interpolate_solid_liquid(trial_data)[["Gamma_in_percent"]])
            
        }
        
        yield_strains$yield_strain_sd[ind]=sd(all_yield_strains)
        
        
    }
    
    
    
    
    
    
}

dev.off()









