library(plot.counts)
library(rheologyEvaluation)


load("/data/Evaluation/Rheology/Stress Sweeps/EPI/stress_sweeps_EPI.rda")

load("/data/Evaluation/Rheology/Stress Sweeps/EPI/polynomial_model_Gprime_EPI.rda")




# Use only cup data (there are problems with drying and the necessity to partially compress the scaffold with the plate-plate geometry)

overview_EPI=overview_EPI[overview_EPI$Geometry=="cup",]


pdf("Fig_S10a.pdf")

xlim=c(0,100)

plot(overview_EPI$polymer_conc_mgmL,overview_EPI$Gprime,xlab="Polymer concentration [mg/mL]",ylab="Gprime [Pa]",pch=21,bg="black",xlim=xlim,cex=2,main="Storage modulus",ylim=c(1,2.5e4),log="y",cex.axis=1.5,yaxt="n")

axis(side=2,at=c((1:9),(1:9)*10,(1:9)*100,(1:10)*1000,20000),labels=c(expression(1),rep("",8),10,rep("",8),100,rep("",8),1000,rep("",8),10000,""),cex.axis=1.5,las=2)






for_theory_x= exp(seq(from=log(5),to=log(max(xlim)),length.out=200))


lines(for_theory_x,polynomial_model(for_theory_x,A_EPI,c0_EPI,m_EPI),type="l")


# Desired concentration range for matching 2-3kPa

Gprime_desired = c(2000,3000)



EPI_concentration = (Gprime_desired/(A_EPI*c0_EPI^m_EPI))^(1/m_EPI)*c0_EPI+c0_EPI

EPI_concentration


G0prime_EPI = A_EPI*c0_EPI^m_EPI

G0prime_EPI



load("/data/Evaluation/Rheology/Stress Sweeps/Sephacryl_S200/stress_sweeps_sephacryl_S200.rda")
load("/data/Evaluation/Rheology/Stress Sweeps/Sephacryl_S200/polynomial_model_Gprime_Sephacryl_S200.rda")



lines(overview_sephacryl_S200$polymer_conc_mgmL, overview_sephacryl_S200$Gprime,pch=1,col="black",type="p",cex=1.5)








for_theory_x= exp(seq(from=log(25),to=log(max(xlim)),length.out=200))



lines(for_theory_x,polynomial_model(for_theory_x,A_sephacryl_S200,c0_sephacryl_S200,m_sephacryl_S200),type="l",lty=2)


sephacryl_S200_concentration = (Gprime_desired/(A_sephacryl_S200*c0_sephacryl_S200^m_sephacryl_S200))^(1/m_sephacryl_S200)*c0_sephacryl_S200+c0_sephacryl_S200


sephacryl_S200_concentration

legend("bottomright",legend=c("Porous injectable","Sephacryl S200"),pch=c(21,21),col=rep("black",2),pt.bg=c("black","white"),cex=1.5,lty=c(1,2))




G0prime_sephacryl_S200 = A_sephacryl_S200*c0_sephacryl_S200^m_sephacryl_S200

G0prime_sephacryl_S200

dev.off()
