
library(plot.counts)
library(rheologyEvaluation)



load("/data/Evaluation/Rheology/Stress Sweeps/EPI/stress_sweeps_EPI.rda")

load("/data/Evaluation/Rheology/Stress Sweeps/EPI/polynomial_model_Gprime_EPI.rda")

load("/data/Evaluation/Porosity/EPI/Pore fraction/EPI_porosity.rda")


pdf("Fig_S10b.pdf")

# Use only cup data (there are problems with drying and the necessity to partially compress the scaffold with the plate-plate geometry)

overview_EPI=overview_EPI[overview_EPI$Geometry=="cup",]


overview_EPI$pore_fraction= EPI_pore_fraction_gamma(overview_EPI$polymer_conc_mgmL)

overview_EPI$notional_phase_volume = 1-overview_EPI$pore_fraction


xlim=c(5,100)


for_theory_x= exp(seq(from=log(5),to=log(70),length.out=200))



plot(EPI_pore_fraction_gamma(overview_EPI$polymer_conc_mgmL),overview_EPI$Gprime,log="y",xlab="Pore fraction",ylab="Gprime [Pa]",pch=21,bg="black",xlim=c(0,1),cex=1.5,main="C) Storage modulus vs. pore fraction",ylim=c(100,2e4),yaxt="n")

axis(side=2,at=c((1:9)*100,(1:10)*1000,20000),labels=c(100,rep("",8),1000,rep("",8),10000,""),cex.axis=1.5,las=2)

lines(EPI_pore_fraction_gamma(for_theory_x),polynomial_model(for_theory_x,A_EPI,c0_EPI,m_EPI),type="l",lty=1)



Gprime_desired = c(2000,3000)



EPI_concentration = (Gprime_desired/(A_EPI*c0_EPI^m_EPI))^(1/m_EPI)*c0_EPI+c0_EPI


EPI_pore_fraction = EPI_pore_fraction_gamma(EPI_concentration)

EPI_pore_fraction


load("/data/Evaluation/Rheology/Stress Sweeps/Sephacryl_S200/stress_sweeps_sephacryl_S200.rda")
load("/data/Evaluation/Rheology/Stress Sweeps/Sephacryl_S200/polynomial_model_Gprime_Sephacryl_S200.rda")

load("/data/Evaluation/Porosity/Sephacryl_S200/Pore fraction/sephacryl_S200_porosity.rda")


lines(sephacryl_pore_fraction_gamma(overview_sephacryl_S200$polymer_conc_mgmL), overview_sephacryl_S200$Gprime,pch=1,col="black",type="p",cex=1.5)


for_theory_x= exp(seq(from=log(25),to=log(120),length.out=200))



lines(sephacryl_pore_fraction_gamma(for_theory_x),polynomial_model(for_theory_x,A_sephacryl_S200,c0_sephacryl_S200,m_sephacryl_S200),type="l",lty=2)



legend("topright",legend=c("EPI biomaterial","Sephacryl S200"),pch=c(21,21),col=rep("black",2),pt.bg=c("black","white"),cex=1.5,lty=c(1,2))


sephacryl_S200_concentration = (Gprime_desired/(A_sephacryl_S200*c0_sephacryl_S200^m_sephacryl_S200))^(1/m_sephacryl_S200)*c0_sephacryl_S200+c0_sephacryl_S200


sephacryl_S200_pore_fraction = sephacryl_pore_fraction_gamma(sephacryl_S200_concentration)

sephacryl_S200_pore_fraction

dev.off()


