
library(plot.counts)


load("/data/Evaluation/Rheology/Stress Sweeps/EPI/stress_sweeps_EPI.rda")


pdf("Fig_S11.pdf")


data_agg=aggregate(stress_sweeps_EPI[,c("Gprime_Pa","Gprimeprime_Pa","Phase_angle_degrees")],by=data.frame(tau_Pa=stress_sweeps_EPI$tau_Pa,polymer_conc_mgmL=round(stress_sweeps_EPI$polymer_conc_mgmL)),FUN=mean)





grps=plot_counts(data_agg$tau_Pa, data_agg$Gprimeprime_Pa,log="xy",xlab="Shear stress [Pa]",ylab="G' and G''",main="Viscous loss modulus G''",groups=data_agg$polymer_conc_mgmL,ylim=c(1,5e4),group_order=c(7,15,23,32,54),bg=grey(c(1,0.9,0.75,0.6,0)),pch=21,col="black",xlim=c(0.1,1000),cex=2,xaxt="n",yaxt="n")

axis(side=1,at=c((1:9)*0.1,(1:9),(1:9)*10,(1:9)*100,1000),labels=c(expression(0.1),rep("",8),1,rep("",8),10,rep("",8),100,rep("",8),1000))

axis(side=2,at=c((1:9),(1:9)*10,(1:9)*100,(1:9)*1000,10000*(1:10)),labels=c(expression("1 Pa"),rep("",8),"10 Pa",rep("",8),"100 Pa",rep("",8),"1 kPa",rep("",8),"10 kPa",rep("",8),"100 kPa"),las=2)



grps=plot_counts(data_agg$tau_Pa, data_agg$Gprime_Pa,groups=data_agg$polymer_conc_mgmL,group_order=c(7,15,23,32,54),bg=grey(c(1,0.9,0.75,0.6,0)),pch=21,col="black",xlim=c(0.1,1000),cex=0.5,plot.new=FALSE,type="b")



first_value=aggregate(Gprime_Pa ~ polymer_conc_mgmL, data_agg, FUN=function(x){x[1]} )

first_value = first_value[first_value$polymer_conc_mgmL %in% grps,]


text(x=rep(0.8, length(grps)),y=first_value$Gprime_Pa, labels=paste(first_value$polymer_conc_mgmL," mg/mL",sep=""),adj=1,cex=1.5)


dev.off()






