library(plot.counts)





load("/data/Evaluation/Ejection Force/EPI/ejection_force_data_aggregated.rda")

pdf("Fig_S14.pdf")

to_plot = ejection_force_data_aggregated[ejection_force_data_aggregated$batch=="PB46" ,]
to_plot_sd = ejection_force_data_aggregated_sd[ejection_force_data_aggregated_sd$batch=="PB46",]

to_plot_sd$Force_N[to_plot_sd$d!=30]=NA

# Ejection force curves for the paste
grps=plot_counts(to_plot$d , to_plot$Force_N,sd_y=to_plot_sd$Force_N,groups=to_plot$injection_speed_mm_sec,xlab="Distance",ylab="Force [N]",main="Injection force",pch=rep(21,8),bg=gray(c(0,2.5,3.5,4.5,5.5,6,6.5,7) /7),
col="black",xlim=c(-40,60),cex=2,las=2)








legend("topleft",legend=c(paste(grps," mm/s",sep="")),pch=c(rep(21,8)),col=c(rep("black",8)),pt.bg=c(gray(c(0,2.5,3.5,4.5,5.5,6,6.5,7) /7)),pt.cex=2,cex=2)


dev.off()










