library(plot.counts)

pdf("Fig_S16.pdf")

load("/data/Evaluation/Rheology/Self healing/overview_files_self_healing_kinetics.rda")

to_plot=self_healing_kinetics_agg

unique_stress_values = sort(unique(to_plot$Tau_Pa_nominal))


N=length(unique_stress_values)

bg_scale=(0:(N-1))/N
bg=grey((0.25-(bg_scale-0.5)^2)+bg_scale)



bg=c("#DD00FF","#9900FF","#6600FF","#0000FF","#0044DD","#0077BB","#00AAAA","#00DD99","#00FF55","#33FF00","#AAFF00","#FFFF00","#FFAA00","#FF5500","#FF2200","#FF0000","#FF3366","#FF66CC","#FFFFFF")

plot_counts(to_plot$t_s_relative/60,to_plot$Gprime_Pa,groups=to_plot$Tau_Pa_nominal,xlab="Time [min]",ylab="G' [Pa]",pch=21,ylim=c(0,4500),col="black",main="Self-healing under oscillatory stress",yaxt="n",cex=1,type="b",bg=bg,group_order = sort(unique(to_plot$Tau_Pa_nominal)))

axis(side=2,at=c(0,1000,2000,3000))


text(x=-15, y=5300, labels="Probing stress",adj=c(0,0.5),cex=1.5)

xcoords=c(rep(-14,4),rep(-8,4),rep(-3,4),rep(3,4),rep(9,4))
ycoords=c(rep(c(4775,4525,4275,4025),5))-500

for(ind_points in 1:length(unique_stress_values))
{
    
    points(x=xcoords[ind_points],y=ycoords[ind_points],pch=21,col="black",bg=bg[ind_points],cex=1.25)
    text(x=xcoords[ind_points]+1,y=ycoords[ind_points],labels=paste(unique_stress_values[ind_points],"Pa",sep=" "),adj=c(0,0.5),cex=1.25)
}

lines(x=c(-15,-15,15,15,-15),y=c(4100,5200,5200,4100,4100)-750)

dev.off()
