library(plot.counts)

load(file="/data/Evaluation/Particle Geometry/EPI/particle_size_overview_EPI.rda")


breaks=(0:10)*200

mids=(breaks[1:(length(breaks)-1)]+breaks[2:(length(breaks))])/2

frequencies_area_weighted=rep(0,length(breaks)-1)

frequencies_number_weighted=rep(0,length(breaks)-1)

for(ind in 1:length(frequencies_area_weighted))
{
   sel = particle_size_overview_EPI$diameter>=breaks[ind] & particle_size_overview_EPI$diameter<breaks[ind+1]
   
    frequencies_area_weighted[ind]=frequencies_area_weighted[ind]+sum(particle_size_overview_EPI$diameter[sel]^2)
    frequencies_number_weighted[ind]=frequencies_number_weighted[ind]+sum(sel)
    
    
}

frequencies_area_weighted=frequencies_area_weighted/sum(frequencies_area_weighted)
frequencies_number_weighted=frequencies_number_weighted/sum(frequencies_number_weighted)

pdf("Fig_S5.pdf")

barplot(frequencies_area_weighted,names.arg=mids,ylab="Frequency",xlab="Particle diameter [um]",main="Particle diameter distribution EPI")

dev.off()

mean_volume_weighted<-function(x)
{
    
    return(mean(x^4)/mean(x^3))
}

mean_area_weighted<-function(x)
{
    
    return(mean(x^3)/mean(x^2))
}


sd_area_weighted<-function(x)
{
    
    dx=x-mean_area_weighted(x)
    
    return (sqrt((mean(dx^2*(x^2))/mean(x^2))))
}


mean_radius_weighted<-function(x)
{
    
    return(mean(x^2)/mean(x))
}


agg_size_groups=aggregate(diameter ~ Microscope, particle_size_overview_EPI, FUN=mean_area_weighted)
agg_size_groups$diameter_sd=aggregate(diameter ~ Microscope, particle_size_overview_EPI, FUN=sd_area_weighted)$diameter

cat("\n\nMean particle size and standard deviation, area-weighted\n")
agg_size_groups


