library(rheologyEvaluation)
library(plot.counts)


load("/data/Evaluation/Porosity/Sephacryl_S200/Pore fraction/sephacryl_S200_porosity.rda")

pdf("Fig_S7a.pdf")

plot_counts( sephacryl_S200_porosity_agg$Polymer_concentration,sephacryl_S200_porosity_agg$porosity , sd_y=sephacryl_S200_porosity_agg_sd$porosity,type="p",
cex=2,xlab="Polymer concentration",ylab="Pore fraction",xlim=c(0,110),ylim=c(0,1), main="Pore fraction")



for_theory=seq(from=0,to=110,length.out=200)


pore_fraction_theory = sephacryl_pore_fraction_gamma(for_theory)



lines(for_theory,pore_fraction_theory,type="l",lty=2)






load("/data/Evaluation/Porosity/EPI/Pore fraction/EPI_porosity.rda")


plot_counts( EPI_porosity_agg$Polymer_concentration,EPI_porosity_agg$porosity , sd_y=EPI_porosity_agg_sd$porosity,type="p",
pch=21,bg="black",plot.new=FALSE,cex=1.5)


for_theory=seq(from=0,to=110,length.out=200)


pore_fraction_theory = EPI_pore_fraction_gamma(for_theory)

lines(for_theory,pore_fraction_theory,type="l",lty=1)


legend("topright",legend=c("Porous injectable","Sephacryl S200"),pch=c(21,21),col=rep("black",2),pt.bg=c("black","white"),cex=1.5,lty=c(1,2))

dev.off()

