cat("\nDemo evaluation of the supplementary simulations. R script 01_read_initial_overview.R: Establish an overview file for the 4 supplementary simulations\n")

library(particleShearEvaluation)

# This can only be run directly on the simulation output (ASCII files directly produced by the Python package particleShear)


# For demo purposes, we run it on the output of the 4 supplementary simulations

# For the actual dataset, we ran this on the overall dataset with over 17000 simulations


# File location
setwd("/code/Simulation demo/demo_evaluation")


# Arbitrary folder names, but needs to match output by "supplementary_demo_evaluation.sh" this is supplementary videos S1 to S4, for splitting of the original ASCII output files to rda and header files
paths = c("video_S1_S4_split")



# Run through the output files
theTable=file_information_table_from_folders(paths)

# For classification of the sample types
theTable$Sample_type=factor(rep("uncrosslinked",dim(theTable)[1]),levels=c("bulk","uncrosslinked","particles"))

theTable$Sample_type[theTable$do_permanent_links]="bulk"

theTable$Sample_type[theTable$do_permanent_links & theTable$cut_lines>0]="particles"

# For consistency: if we have no permanent links, the parameter
# remove_link_fraction has no effect, set it to 0
theTable$remove_link_fraction=as.numeric(theTable$remove_link_fraction)
theTable$remove_link_fraction[!theTable$do_permanent_links]=0


# The overview will go by this name from now on
overview_simulation_supplementaries=theTable



# Primary overview table
save(file="/results/Simulation\ demo/Supplementary_evaluation/overview_supplementary_demo.rda",list=c("overview_simulation_supplementaries"))