cat("\nDemo evaluation of the supplementary simulations. Script 04_validation_stress_tensor_symmetry.R: Analyzing stress tensor symmetry\n\n")

# Load the overview file
root_folder = "/results/Simulation demo/Supplementary_evaluation"

setwd(root_folder)

load(file="overview_supplementary_demo.rda")

# Go through each of the 4 supplementary simulations
for (ind in 1:(dim(overview_simulation_supplementaries)[1]))
{
    # File info for the current simulation
    info = overview_simulation_supplementaries[ind,]
    
    # Stress tensor rda file
    stress_filename =paste("stress_",gsub(".txt",".rda",info$File),sep="")
    
    # Full path to read
    pathRead=paste(info$Folder,stress_filename,sep="/")
    
    
    # Read the stress tensor data into a new environment to make 
    # sure we read a new variable every time
    e1=new.env()
    load(pathRead,e1)
    
    s=get("stress_data",envir=e1)
    
    # The stress tensor data is in data-frame format with 4 columns
    # for the 4 relevant stress tensor components (00,01,10 and 11)
    # Here, we are interested in the overall stress tensor, so this is
    # the columns stress_tensor_overall_00 to stress_tensor_overall_11 
    
    cat(stress_filename)
    cat(": \nMaximum relative overall stress tensor asymmetry = \n")
    
    # Asymmetry: Difference in off-diagonal elements (01 and 10) compared to average absolute value
    
    cat(max(abs(s$stress_tensor_overall_01-s$stress_tensor_overall_10)/(sum(abs(s$stress_tensor_overall_00)+abs(s$stress_tensor_overall_01)+abs(s$stress_tensor_overall_10)+abs(s$stress_tensor_overall_11))/4)))
    cat("\n\n\n")
    
}

