from particleShearRunSimulation import *
from utility_functions.move_image_files_for_video import rename_files_for_video
# For file operations
import shutil
import os
from os import listdir
from os.path import isfile, join


root_folder="video_S3"


amplitudes=[0.3]
mu=[0.01]




doParticleShearSimulationSeries(root_folder,
    amplitudes=amplitudes,mu=mu,
    cut_lines=5,Young_modulus_spheres=10000,
    do_bulk_control=False,
    do_uncrosslinked_control=False,
    do_non_frictional_control=False,N_repetitions=1,
    N=150,packing_fraction=1.5,density=1000,
    bimodal_factor=1.4,
    relative_viscosity=0.1,relative_transversal_link_strength=1,
    relative_frequency=0.025,
    avoid_horizontal_angle_degree=15,
    interface_reenforcement_central=1,
    interface_reenforcement_tangential=1,
    central_repulsion_coefficient=1,
    keep_viscosity_coefficients_constant=False,
    avoid_height_spanning_particles=True,
    cut_top_bottom=False,
    doCutByTriangulation=True,
    saveOutputImages=True,
    imageFileType="jpg",
    remove_link_fraction=0,
    edge_fuzziness=0,doDrawing=True,
    saveData=True,
    saveStressTensorData=True,
    plotStress=True,
    pre_periods=2, periods=3, post_periods=1, cool_factor=0.5)



target_folder="for_video_S3"
# Make sure it physically exists
os.makedirs(target_folder)
# Move the files in this folder and rename them consecutively (this
# function is defined in the file "utility_functions.move_image_files_for_video")
storage_directory = rename_files_for_video(root_folder,target_folder)
# remove the original directory that also contained the files
shutil.rmtree(storage_directory)
# The actual video is assembled after this script, by supplementary_5.sh, which uses the ffmpeg utility


# 3) Output text file =========================================== 
# Move the result text file to the results section and rename it to something readable
text_output_file = [f for f in listdir(root_folder) if      
        isfile(join(root_folder, f))]

# For the output file, rename it to a constant name so that we can copy it in the bash script

os.rename(join(root_folder,text_output_file[0]),
         join(root_folder,"video_S3_output.txt"))
