# Import of the particleShear module
from particleShear import *

# import the utility function to move and consecutively rename the output images
from utility_functions.move_image_files_for_video import rename_files_for_video


# For file operations
import shutil
import os
from os import listdir
from os.path import isfile, join


root_folder="demo_simulation"

# 1) Simulation =========================================
# Run the particle simulation, saving the image files to a temporary directory
# Here, N=20 to shorten simulation time. The actual simulations in the paper were carried out on a cluster and require much more execution time
doParticleShearSimulation(N=20,doDrawing=True,plotStress=True,root_folder=root_folder,saveOutputImages=True,saveData=True,saveStressTensorData=True)

# 2) Prepare images for video =====================================
# Assemble image files with consecutive names suitable for video assembly in a temporary folder
# This is the temporary folder

target_folder="for_video"
# Make sure it physically exists
os.makedirs(target_folder)
# Move the files in this folder and rename them consecutively (this
# function is defined in the file "utility_functions.move_image_files_for_video")
storage_directory = rename_files_for_video(root_folder,target_folder)
# remove the original directory that also contained the files
shutil.rmtree(storage_directory)
# The actual video is assembled after this script, by demo_simulation.sh, which uses the ffmpeg utility


# 3) Output text file =========================================== 
# Move the result text file to the results section and rename it to something readable
text_output_file = [f for f in listdir(root_folder) if      
        isfile(join(root_folder, f))]

# Rename the output text file to something standard that we can 
# copy in the bash file
os.rename(join(root_folder,text_output_file[0]),
         join(root_folder,"simulation_demo_output.txt"))






