echo "simulation_demo.sh: Run a small simulation demo with image saving"

echo "========== run time ca. 5min =========="



# To be able to run this file also as standalone master file
cd /code/Simulation\ demo
mkdir /results/Simulation\ demo


# Demo simulation: like in Supplemental Video S3, but with a smaller 
# particle assembly to be reasonable fast.
# These are partially crosslinked particles


# prepare folder to hold the results
mkdir demo_simulation






# Using a virtual graphical display (xvfb), run the python script
# in a nutshell with the graphical display server
# This does not save the images, this still has to be done within the
# simulation, but provides Tkinter with a virtual graphical display

xvfb-run python3 -u video_demo.py

# copy summary and stress tensor output data to the results section
cp demo_simulation/simulation_demo_output.txt /results/Simulation\ demo/

# Use the video utility ffmpeg to convert the image series to a video

ffmpeg -r 25 -start_number 0 -i "for_video/image%2d.jpg"  "/results/Simulation demo/simulation_demo.mov"