echo "data_import.sh: Import data from raw text and Excel files"
echo "into R-Data files (.rda)"

echo "================== run time ca. 1h ==================="



# To be able to run this file also as the master file
cd /code/Data\ analysis


# Import stress sweep rheology EPI into R data files
mkdir /results/Evaluation


# Simulation: separate sh script
bash /code/data_import_sh_scripts/data_import_simulation.sh

# Simulation: separate sh script also for the smaller set
# with the non-linear compression law
bash /code/data_import_sh_scripts/data_import_simulation_plateau_law.sh


# Physical measurements: Data for main figure 3
bash /code/data_import_sh_scripts/data_import_measurements.sh

# Additional data only used in supplementaries =========================
echo "Additional data import for supplementaries (data_import_supplementaries.sh) ======" 
bash /code/data_import_sh_scripts/data_import_supplementaries.sh




# Validation of data import =======================================
# For validation of the evaluation: Compare the evaluation obtained previously and uploaded to the /data section




echo "Validation of data import against prior, locally imported version: compare_to_local_evaluation.R"
Rscript "/code/Data analysis/Data import/compare_to_local_evaluation.R" > /results/validation_evaluation.txt

echo "======End of data import ======"