# Ejection force ==================================
# Prepare output directories
mkdir /results/Evaluation/Ejection\ Force
mkdir /results/Evaluation/Ejection\ Force/EPI

# Ejection force evaluation
cd /code/Data\ analysis/Data\ import/Ejection\ Force/EPI/
echo "Ejection force data import script: 01_R_script_load_ejection_data.R"
Rscript 01_R_script_load_ejection_data.R
echo "Ejection force data import script: 02_R_script_aggregate_ejection_data.R"
Rscript 02_R_script_aggregate_ejection_data.R
echo "Ejection force data bulk import script: 03_R_script_load_ejection_data_bulk.R"
Rscript 03_R_script_load_ejection_data_bulk.R



# Porosity ========================================
# Prepare output directies
mkdir /results/Evaluation/Porosity
mkdir /results/Evaluation/Porosity/EPI
mkdir /results/Evaluation/Porosity/EPI/Pore\ fraction
mkdir /results/Evaluation/Porosity/EPI/Pore\ size
mkdir /results/Evaluation/Porosity/EPI/Wall\ thickness
mkdir /results/Evaluation/Porosity/EPI/inter_intra_particle_pore_space
mkdir /results/Evaluation/Porosity/Sephacryl_S200
mkdir /results/Evaluation/Porosity/Sephacryl_S200/Pore\ fraction
mkdir /results/Evaluation/Porosity/Sephacryl_S200/Pore\ size

# Porosity evaluation
cd /code/Data\ analysis/Data\ import/Porosity/EPI
echo "Porosity data import script: 01_pore_fraction_EPI.R"
Rscript 01_pore_fraction_EPI.R
echo "Porosity data import script: 02_pore_size_EPI.R"
Rscript 02_pore_size_EPI.R
cd /code/Data\ analysis/Data\ import/Porosity/EPI_intra_inter_particle_pore_space
echo "Inter-paricle porosity data import script: 01_inter_intra_pore_space_EPI.R"
Rscript 01_inter_intra_pore_space_EPI.R
cd /code/Data\ analysis/Data\ import/Porosity/Sephacryl_S200
echo "Porosity data import script: 01_pore_fraction_sephacryl.R"
Rscript 01_pore_fraction_sephacryl.R
echo "Porosity data import script: 02_pore_size_sephacryl.R"
Rscript 02_pore_size_sephacryl.R


# Rheology ========================================
# Prepare output directies
mkdir /results/Evaluation/Rheology
mkdir /results/Evaluation/Rheology/Creep\ recovery
mkdir /results/Evaluation/Rheology/Creep\ recovery/EPI
mkdir /results/Evaluation/Rheology/Flow\ curves
mkdir /results/Evaluation/Rheology/Flow\ curves/EPI
mkdir /results/Evaluation/Rheology/Flow\ curves/Sephacryl_S200
mkdir /results/Evaluation/Rheology/Injectability\ testing
mkdir /results/Evaluation/Rheology/Injectability\ testing/EPI
mkdir /results/Evaluation/Rheology/Self\ healing
mkdir /results/Evaluation/Rheology/Stress\ Sweeps
mkdir /results/Evaluation/Rheology/Stress\ Sweeps/EPI
mkdir /results/Evaluation/Rheology/Stress\ Sweeps/EPI_coating
mkdir /results/Evaluation/Rheology/Stress\ Sweeps/backbone_variation
mkdir /results/Evaluation/Rheology/Stress\ Sweeps/Juvederm_Voluma
mkdir /results/Evaluation/Rheology/Stress\ Sweeps/Sephacryl_S200
mkdir /results/Evaluation/Rheology/Stress\ Sweeps/cultisphere
mkdir /results/Evaluation/Rheology/Stress\ Sweeps/bulk



# Rheology evaluation
#   Creep recovery
cd /code/Data\ analysis/Data\ import/Rheology/Creep\ recovery/EPI
echo "Rheology data import script: 01_load_creep_recovery.R"
Rscript 01_load_creep_recovery.R


#   Flow curves
cd /code/Data\ analysis/Data\ import/Rheology/Flow\ curves/EPI
echo "Rheology data import script: 01_R_script_read_EPI_flow_curves.R"
Rscript 01_R_script_read_EPI_flow_curves.R

cd /code/Data\ analysis/Data\ import/Rheology/Flow\ curves/Sephacryl_S200
echo "Rheology data import script: 02_R_script_read_sephacryl_flow_curves.R"
Rscript 02_R_script_read_sephacryl_flow_curves.R



#   Injectability testing
cd /code/Data\ analysis/Data\ import/Rheology/Injectability\ testing/EPI
echo "Rheology data import script: 01_R_script_load_data_rheometry_injectability.R"
Rscript 01_R_script_load_data_rheometry_injectability.R



#   Self healing
cd /code/Data\ analysis/Data\ import/Rheology/Self\ healing
echo "Rheology data import script: 01_R_script_load_data_self_healing_kinetics.R"
Rscript 01_R_script_load_data_self_healing_kinetics.R

#   Stress Sweeps
#       EPI
cd /code/Data\ analysis/Data\ import/Rheology/Stress\ Sweeps/EPI
echo "Rheology data import script: 01_R_script_load_data_EPI.R"
Rscript 01_R_script_load_data_EPI.R
echo "Rheology data import script: 02_R_polynomial_model_EPI.R"
Rscript 02_R_polynomial_model_EPI.R
echo "Rheology data import script: 03_R_script_load_data_EPI_neutralization.R"
Rscript 03_R_script_load_data_EPI_neutralization.R

echo "Rheology data import script: 04_R_script_overall_EPI.R"
Rscript 04_R_script_overall_EPI.R


#   Stress Sweeps
#       EPI with cell-adhesive protein coating
cd /code/Data\ analysis/Data\ import/Rheology/Stress\ Sweeps/EPI_coating
echo "Rheology data import script for EPI with various coatings: 01_R_script_load_data_coating.R"
Rscript 01_R_script_load_data_coating.R

#   Stress Sweeps backbone variation
#       Alginate and hyaluronic acid analogs of the EPI
cd /code/Data\ analysis/Data\ import/Rheology/Stress\ Sweeps/backbone_variation

echo "\n\nRheology data backbone variation import script: 01_R_script_load_data_backbone_variation.R"
Rscript 01_R_script_load_data_backbone_variation.R

#   Stress Sweeps bulk
#       

cd /code/Data\ analysis/Data\ import/Rheology/Stress\ Sweeps/bulk

echo "\n\nRheology of bulk scaffold: 0R_script_load_data_scaffold_rheology.R"
Rscript R_script_load_data_scaffold_rheology.R

#       Juvederm
cd /code/Data\ analysis/Data\ import/Rheology/Stress\ Sweeps/Juvederm_Voluma
echo "Rheology data import script: 01_R_script_load_data_juvederm.R"
Rscript 01_R_script_load_data_juvederm.R
#       Sephacryl S200
cd /code/Data\ analysis/Data\ import/Rheology/Stress\ Sweeps/Sephacryl_S200
echo "Rheology data import script: 01_R_script_load_data_Sephacryl.R"
Rscript 01_R_script_load_data_Sephacryl.R
echo "Rheology data import script: 02_R_polynomial_model_Sephacryl.R"
Rscript 02_R_polynomial_model_Sephacryl.R



#   Stress Sweeps cultisphere
#   
cd /code/Data\ analysis/Data\ import/Rheology/Stress\ Sweeps/cultisphere

echo "Rheology data cultisphere import script: 01_R_script_load_data_cultisphere.R"
Rscript 01_R_script_load_data_cultisphere.R


cd /code/Data\ analysis/Data\ import/Rheology/Stress\ Sweeps
echo "Collection of yield point information over all the materials and sweeps: 01_collect_yield_info_all_materials.R"
Rscript 01_collect_yield_info_all_materials.R


# Uniaxial compression =====================================
# Prepare output directies
mkdir /results/Evaluation/Uniaxial\ compression
mkdir /results/Evaluation/Uniaxial\ compression/EPI
mkdir /results/Evaluation/Uniaxial\ compression/bulk

# Load the uniaxial compression dataset
cd /code/Data\ analysis/Data\ import/Uniaxial\ compression/EPI
echo "Uniaxial compression data import script: 01_load_compression.R"
Rscript 01_load_compression.R

# Load the uniaxial compression dataset bulk
cd /code/Data\ analysis/Data\ import/Uniaxial\ compression/bulk
echo "Uniaxial compression data import script (bulk scaffolds): 01_load_bulk_compression.R"
Rscript 01_load_bulk_compression.R

# In vivo: Shapeability (for main Figure 4) =========================================
# Prepare output directories
mkdir /results/Evaluation/In\ vivo

# In vivo aspect ratio data evaluation
cd /code/Data\ analysis/Data\ import/In\ vivo
echo "In vivo data import script: 01_R_script_load_in_vivo_data.R"
Rscript 01_R_script_load_in_vivo_data.R






# In vivo: Biocompatibility (for main Figure 5) =========================================
# Prepare output directories
mkdir /results/Evaluation/In\ vivo

# In vivo evaluation histology
cd /code/Data\ analysis/Data\ import/In\ vivo
echo "In vivo data import script: Encapsulation inflammation 02_R_script_load_inflammation_encapsulation_EPI_Juvederm.R"

Rscript 02_R_script_load_inflammation_encapsulation_EPI_Juvederm.R

echo "In vivo data import script: Vascularization, colonization 03_R_script_load_colonization_vascularization.R"

Rscript 03_R_script_load_colonization_vascularization.R




# In vivo: Degradation
#===============================================
mkdir /results/Evaluation/In\ vivo


# In vivo aspect ratio data evaluation
cd /code/Data\ analysis/Data\ import/In\ vivo
echo "Import in vivo data degradation: Rscript 04_R_script_load_in_vivo_degradation.R"
Rscript 04_R_script_load_in_vivo_degradation.R


# Cell adherence assay
# ==============================================

mkdir /results/Evaluation/Cell\ adherence
# Adherence of cells to collagen-coated EPI

cd /code/Data\ analysis/Data\ import/Cell\ adherence
echo "Import cell adherence data: Rscript 01_R_script_load_adherence run1.R"
Rscript 01_R_script_load_adherence\ run1.R

cd /code/Data\ analysis/Data\ import/Cell\ adherence
echo "Import cell adherence data: Rscript 02_R_script_load_adherence run2.R"
Rscript 02_R_script_load_adherence\ run2.R

cd /code/Data\ analysis/Data\ import/Cell\ adherence
echo "Combine cell adherence data: Rscript 03_R_script_combine_adherence_dataset.R"
Rscript 03_R_script_combine_adherence_dataset.R




# Particle geometry
# ==============================================

mkdir /results/Evaluation/Particle\ Geometry
mkdir /results/Evaluation/Particle\ Geometry/EPI
mkdir /results/Evaluation/Particle\ Geometry/Particle\ Shape


# Particle size evaluation (EPI)
cd /code/Data\ analysis/Data\ import/Particle\ Geometry/EPI
echo "Import particle size data: Rscript 01_R_script_load_particle_size.R"
Rscript 01_R_script_load_particle_size.R


# Particle shape evaluation (different materials)
cd /code/Data\ analysis/Data\ import/Particle\ Geometry/Particle\ Shape
echo "Import particle shape data: Rscript 01_R_script_load_data_shape.R"
Rscript 01_R_script_load_data_shape.R




