# Simulation (data for main figure 2) =====================================
# Prepare output directies
mkdir /results/Evaluation/Simulation
mkdir /results/Evaluation/Simulation/Overview_data_files
mkdir /results/Evaluation/Simulation/Overview_data_files/01_initial
mkdir /results/Evaluation/Simulation/Overview_data_files/02_jumps_corrected
mkdir /results/Evaluation/Simulation/Overview_data_files/02_jumps_corrected/analysis_reports

# Primary lecture of uncorrected overview files
cd /code/Data\ analysis/Data\ import/Simulation
echo "Reading primary simulation data overview: 01_R_script_read_uncorrected_overview"
Rscript 01_R_script_read_uncorrected_overview.R

# Jump correction

cd /code/Data\ analysis/Data\ import/Simulation
echo "Correction for jumps arising by spheres leaving and entering measurement area: 02_R_script_correct_jumps.R"
Rscript 02_R_script_correct_jumps.R


# Assembly of the overview data files
cd /code/Data\ analysis/Data\ import/Simulation
echo "Simulation data import script: Rscript 03_R_script_assemble_overview.R"

Rscript 03_R_script_assemble_overview.R
# Calculation of the static pressure 

cd /code/Data\ analysis/Data\ import/Simulation
echo "Simulation data import script: 04_R_script_read_static.R"
Rscript 04_R_script_read_static.R

# Bootstrapping. This is random sampling, so it will NOT produce the exact same dataset but only a similar one.
cd /code/Data\ analysis/Data\ import/Simulation
echo "Generate bootstrap random resampling for evaluation of the variability: 05_R_script_bootstrap.R"
Rscript 05_R_script_bootstrap.R

