# Simulation (data for main figure 2) =====================================
# Prepare output directies (when run after 
# the "data_import_simulation.sh" script, this is a duplicate)
mkdir /results/Evaluation
mkdir /results/Evaluation/Simulation
mkdir /results/Evaluation/Simulation/Overview_data_files
mkdir /results/Evaluation/Simulation/plateau_law


# Specific folders for non-linear compression law analysis
mkdir /results/Evaluation/Simulation/Overview_data_files/nonlinear_force_law
mkdir /results/Evaluation/Simulation/Overview_data_files/nonlinear_force_law/01_initial
mkdir /results/Evaluation/Simulation/Overview_data_files/nonlinear_force_law/02_jumps_corrected
mkdir /results/Evaluation/Simulation/Overview_data_files/nonlinear_force_law/02_jumps_corrected/analysis_reports

# Primary lecture of uncorrected overview files

cd /code/Data\ analysis/Data\ import/Simulation/nonlinear_force_law
echo "Plateau (nonlinear) compression law: Reading primary simulation data overview: 01_R_script_read_uncorrected_overview"
Rscript 01_R_script_read_uncorrected_overview.R


# Correction for jumps due to spheres entering and leaving the 
# measurement area

cd /code/Data\ analysis/Data\ import/Simulation/nonlinear_force_law
echo "Plateau (nonlinear) compression law: Jump correction: 02_R_script_correct_jumps.R"
Rscript 02_R_script_correct_jumps.R


# Assembly of the overall overview files

cd /code/Data\ analysis/Data\ import/Simulation/nonlinear_force_law
echo "Plateau (nonlinear) compression law: Overview file assembly: 03_R_script_assemble_overview.R"
Rscript 03_R_script_assemble_overview.R

# Generation of the plateau law text file for comparison with actual compression law
echo "Plateau (nonlinear) compression law: Output the law used for the simulation in Fig. 5e"

echo "Install the particleShear python library"
pip3 install /code/Python_libraries/modules/particleShear

cd /code/Data\ analysis/Data\ import/Simulation/nonlinear_force_law

python3 -u plateau_law.py

echo "Load the python generated contact-law curve, and save as rda file"

cd /code/Data\ analysis/Data\ import/Simulation/nonlinear_force_law
Rscript 04_R_script_read_example_plateau_force_law.R 






