echo "figures.sh: Plot the sub-figures for the manuscript"

echo "============= run time ca. 2min =================="



echo "Installation complete, starting figure plotting"

# This script orchestrates the plotting of all the sub-figures from 
# the already evaluated data


# Figure 2 =================================
mkdir /results/Figure_2
cd /code/Data\ analysis/Figure_2
echo "Fig. 2b"
Rscript R_script_Fig_2b.R > /results/Figure_2/fig_2b_console_output.txt
echo "Fig. 2c"
Rscript R_script_Fig_2c.R > /results/Figure_2/fig_2c_console_output.txt
echo "Fig. 2d"
Rscript R_script_Fig_2d.R > /results/Figure_2/fig_2d_console_output.txt
echo "Fig. 2e"
Rscript R_script_Fig_2e.R > /results/Figure_2/fig_2e_console_output.txt
echo "Fig. 2g"
Rscript R_script_Fig_2g.R > /results/Figure_2/fig_2g_console_output.txt
echo "Fig. 2h"
Rscript R_script_Fig_2h.R > /results/Figure_2/fig_2h_console_output.txt

# Figure 3 =================================
mkdir /results/Figure_3
cd /code/Data\ analysis/Figure_3

echo "Fig. 3d"
Rscript R_script_Fig_3d.R > /results/Figure_3/fig_3d_console_output.txt
echo "Fig. 3e"
Rscript R_script_Fig_3e.R > /results/Figure_3/fig_3e_console_output.txt
echo "Fig. 3f"
Rscript R_script_Fig_3f.R > /results/Figure_3/fig_3f_console_output.txt
echo "Fig. 3f: Complete dataset for comparison"
Rscript R_script_Fig_3f_complete_set.R > /results/Figure_3/fig_3f_complete_set_console_output.txt
echo "Fig. 3g"
Rscript R_script_Fig_3g.R > /results/Figure_3/fig_3g_console_output.txt
echo "Fig. 3h"
Rscript R_script_Fig_3h.R > /results/Figure_3/fig_3h_console_output.txt

echo "Fig. 3i"
Rscript R_script_Fig_3i.R > /results/Figure_3/fig_3i_console_output.txt

echo "Fig. 3j"
Rscript R_script_Fig_3j.R > /results/Figure_3/fig_3j_console_output.txt
echo "Fig. 3k"
Rscript R_script_Fig_3k.R > /results/Figure_3/fig_3k_console_output.txt
echo "Fig. 3l"
Rscript R_script_Fig_3l.R > /results/Figure_3/fig_3l_console_output.txt
echo "Fig. 3m"
Rscript R_script_Fig_3m.R > /results/Figure_3/fig_3m_console_output.txt










# Figure 4 =================================
mkdir /results/Figure_4
cd /code/Data\ analysis/Figure_4
echo "Fig. 4d"
Rscript R_script_Fig_4d.R > /results/Figure_4/fig_4d_console_output.txt
echo "Fig. 4e, immune cells"
Rscript R_script_Fig_4e.R > /results/Figure_4/fig_4e_console_output.txt
echo "Fig. 4f, encapsulation"
Rscript R_script_Fig_4f.R > /results/Figure_4/fig_4f_console_output.txt
echo "Fig. 4g, colonization"
Rscript R_script_Fig_4g.R > /results/Figure_4/fig_4g_console_output.txt
echo "Fig. 4h, vascularization"
Rscript R_script_Fig_4h.R > /results/Figure_4/fig_4h_console_output.txt
echo "Fig. 4m, degradation"
Rscript R_script_Fig_4m.R > /results/Figure_4/fig_4m_console_output.txt



# Copy all the resulting files into the result section
cp /code/Data\ analysis/Figure_2/fig_2b.pdf /results/Figure_2
cp /code/Data\ analysis/Figure_2/fig_2c.pdf /results/Figure_2
cp /code/Data\ analysis/Figure_2/fig_2d.pdf /results/Figure_2
cp /code/Data\ analysis/Figure_2/fig_2e.pdf /results/Figure_2
cp /code/Data\ analysis/Figure_2/fig_2g.pdf /results/Figure_2
cp /code/Data\ analysis/Figure_2/fig_2h.pdf /results/Figure_2

cp /code/Data\ analysis/Figure_3/fig_3d.pdf /results/Figure_3
cp /code/Data\ analysis/Figure_3/fig_3e.pdf /results/Figure_3
cp /code/Data\ analysis/Figure_3/fig_3f.pdf /results/Figure_3
cp /code/Data\ analysis/Figure_3/fig_3f_complete_set.pdf /results/Figure_3
cp /code/Data\ analysis/Figure_3/fig_3g.pdf /results/Figure_3
cp /code/Data\ analysis/Figure_3/fig_3h.pdf /results/Figure_3
cp /code/Data\ analysis/Figure_3/fig_3i.pdf /results/Figure_3
cp /code/Data\ analysis/Figure_3/fig_3j.pdf /results/Figure_3
cp /code/Data\ analysis/Figure_3/fig_3k.pdf /results/Figure_3
cp /code/Data\ analysis/Figure_3/fig_3l.pdf /results/Figure_3
cp /code/Data\ analysis/Figure_3/fig_3m.pdf /results/Figure_3


cp /code/Data\ analysis/Figure_4/fig_4d.pdf /results/Figure_4
cp /code/Data\ analysis/Figure_4/fig_4e.pdf /results/Figure_4
cp /code/Data\ analysis/Figure_4/fig_4f.pdf /results/Figure_4
cp /code/Data\ analysis/Figure_4/fig_4g.pdf /results/Figure_4
cp /code/Data\ analysis/Figure_4/fig_4h.pdf /results/Figure_4
cp /code/Data\ analysis/Figure_4/fig_4m.pdf /results/Figure_4



# Figure 5 =================================
mkdir /results/Figure_5
cd /code/Data\ analysis/Figure_5


echo "Fig. 5b yield point scatter plot"
Rscript R_script_Fig_5b.R

echo "Fig. 5c yield point clustering analysis"
Rscript R_script_Fig_5c.R > /results/Figure_5/fig_5c_console_output.txt

echo "Fig. 5 neutralization sweeps"
Rscript R_script_Fig_5d.R > /results/Figure_5/fig_5d_console_output.txt


echo "Fig. 5e coating sweeps with associated simulation data"
Rscript R_script_Fig_5e.R>/results/Figure_5/fig_5e_console_output.txt


echo "Fig. 5f and 5g coating yield strain and stress"
Rscript R_script_Fig_5f_and_5g.R > /results/Figure_5/fig_5f_and_5g_console_output.txt

echo "Fig. 5h cell adherence"
Rscript R_script_Fig_5h.R > /results/Figure_5/fig_5h_console_output.txt

cp /code/Data\ analysis/Figure_5/fig_5b.pdf /results/Figure_5
cp /code/Data\ analysis/Figure_5/fig_5c.pdf /results/Figure_5
cp /code/Data\ analysis/Figure_5/fig_5d.pdf /results/Figure_5 
cp /code/Data\ analysis/Figure_5/fig_5e.pdf /results/Figure_5
cp /code/Data\ analysis/Figure_5/fig_5f_and_5g.pdf /results/Figure_5

cp /code/Data\ analysis/Figure_5/fig_5h.pdf /results/Figure_5 


 








