echo "figures_supplementaires.sh: Plot figures from the supplementaries"

echo "============= run time ca. 2min =================="



# This script orchestrates the plotting of all the sub-figures from
# the already evaluated data

mkdir /results/Supporting\ Information
mkdir /results/Figures_Codeocean_only


# Supporting Information, Chapter 1
# ========================================

mkdir /results/Supporting\ Information


cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S1A"
Rscript R_script_Fig_S1A.R
cp /code/Data\ analysis/Supporting\ Information/Fig_S1a.pdf /results/Supporting\ Information/

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S1B"
Rscript R_script_Fig_S1B.R
cp /code/Data\ analysis/Supporting\ Information/Fig_S1b.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S1C"
Rscript R_script_Fig_S1C.R
cp /code/Data\ analysis/Supporting\ Information/Fig_S1c.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S2"
Rscript R_script_Fig_S2_matrix.R > /results/Supporting\ Information/fig_S2_console_output.txt

cp /code/Data\ analysis/Supporting\ Information/Fig_S2.pdf /results/Supporting\ Information


cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S3"
Rscript R_script_Fig_S3_yield_strain_friction_coefficient.R > /results/Supporting\ Information/fig_S3_console_output.txt

cp /code/Data\ analysis/Supporting\ Information/Fig_S3.pdf /results/Supporting\ Information


cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C1"
Rscript R_script_Fig_C1_packing_density_plateau_Gprime.R > /results/Figures_Codeocean_only/fig_C1_console_output.txt

cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C1.pdf /results/Figures_Codeocean_only


cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C2"
Rscript R_script_Fig_C2.R > /results/Figures_Codeocean_only/fig_C2_console_output.txt

cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C2.pdf /results/Figures_Codeocean_only

# Supporting Information, Chapter 2 =========================================

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S4B"
Rscript R_script_Fig_S4B.R > /results/Supporting\ Information/fig_S4b_console_output.txt

cp /code/Data\ analysis/Supporting\ Information/Fig_S4b.pdf /results/Supporting\ Information


# Supporting Information, Chapter 3 =================================

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S5"
Rscript R_script_Fig_S5.R > /results/Supporting\ Information/fig_S5_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S5.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S6a"
Rscript R_script_Fig_S6a.R > /results/Supporting\ Information/fig_S6a_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S6a.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S6b"
Rscript R_script_Fig_S6b.R > /results/Supporting\ Information/fig_S6b_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S6b.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S6c"
Rscript R_script_Fig_S6c.R > /results/Supporting\ Information/fig_S6c_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S6c.pdf /results/Supporting\ Information




# Supporting Information, Chapter 4 =================================


cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C3e"
Rscript R_script_Fig_C3e_histogram.R
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C3e.pdf /results/Figures_Codeocean_only

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. 7a"
Rscript R_script_Fig_S7a_pore_fraction.R > /results/Supporting\ Information/fig_S7a_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S7a.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S7b"
Rscript R_script_Fig_S7b_pore_size.R > /results/Supporting\ Information/fig_S7b_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S7b.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S9"

Rscript R_script_Fig_S9.R > /results/Supporting\ Information/fig_S9_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S9a.pdf /results/Supporting\ Information
cp /code/Data\ analysis/Supporting\ Information/Fig_S9b.pdf /results/Supporting\ Information



# Supporting Information, Chapter 5 =================================


cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S10a"
Rscript R_script_Fig_S10a.R
cp /code/Data\ analysis/Supporting\ Information/Fig_S10a.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S10b"
Rscript R_script_Fig_S10b.R
cp /code/Data\ analysis/Supporting\ Information/Fig_S10b.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S10c"
Rscript R_script_Fig_S10c.R
cp /code/Data\ analysis/Supporting\ Information/Fig_S10c.pdf /results/Supporting\ Information




# Supporting Information, chapter 6 =================================


cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S11"
Rscript R_script_Fig_S11.R > /results/Supporting\ Information/fig_S11_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S11.pdf /results/Supporting\ Information


cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C4a"
Rscript R_script_Fig_C4a.R
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C4a.pdf /results/Figures_Codeocean_only

cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C4b"
Rscript R_script_Fig_C4b.R
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C4b.pdf /results/Figures_Codeocean_only

cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C5"
Rscript R_script_Fig_C5.R > /results/Figures_Codeocean_only/fig_C5_console_output.txt
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C5.pdf /results/Figures_Codeocean_only




cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S12"
Rscript R_script_Fig_S12.R > /results/Supporting\ Information/fig_S12_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S12a.pdf /results/Supporting\ Information
cp /code/Data\ analysis/Supporting\ Information/Fig_S12b.pdf /results/Supporting\ Information
cp /code/Data\ analysis/Supporting\ Information/Fig_S12c.pdf /results/Supporting\ Information


cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C7"
Rscript R_script_Fig_C7.R > /results/Figures_Codeocean_only/fig_C7_console_output.txt
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C7a.pdf /results/Figures_Codeocean_only
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C7b.pdf /results/Figures_Codeocean_only

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S13a"
Rscript R_script_Fig_S13a.R > /results/Supporting\ Information/fig_S13a_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S13a.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S13b"
Rscript R_script_Fig_S13b.R > /results/Supporting\ Information/fig_S13b_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S13b.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S13c"
Rscript R_script_Fig_S13c.R > /results/Supporting\ Information/fig_S13c_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S13c.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S13d"
Rscript R_script_Fig_S13d.R > /results/Supporting\ Information/fig_S13d_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S13d.pdf /results/Supporting\ Information



# Supporting Information, chapter 7 =================================


cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S14"
Rscript R_script_Fig_S14.R > /results/Supporting\ Information/fig_S14_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S14.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S15"
Rscript R_script_Fig_S15.R > /results/Supporting\ Information/fig_S15_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S15a.pdf /results/Supporting\ Information
cp /code/Data\ analysis/Supporting\ Information/Fig_S15b.pdf /results/Supporting\ Information



# Supplementary S1, Chapter 8 ============





cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C8"
Rscript R_script_Fig_C8.R
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C8.pdf /results/Figures_Codeocean_only

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S16"
Rscript R_script_Fig_S16.R
cp /code/Data\ analysis/Supporting\ Information/Fig_S16.pdf /results/Supporting\ Information

cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C9"
Rscript R_script_Fig_C9.R > /results/Figures_Codeocean_only/fig_C9_console_output.txt
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C9a.pdf /results/Figures_Codeocean_only
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C9b.pdf /results/Figures_Codeocean_only


cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C10"
Rscript R_script_Fig_C10.R > /results/Figures_Codeocean_only/fig_C10_console_output.txt
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C10a.pdf /results/Figures_Codeocean_only
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C10b.pdf /results/Figures_Codeocean_only

cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C10"
Rscript R_script_Fig_C10.R > /results/Figures_Codeocean_only/fig_C10_console_output.txt
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C10a.pdf /results/Figures_Codeocean_only
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C10b.pdf /results/Figures_Codeocean_only

cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C11"
Rscript R_script_Fig_C11.R > /results/Figures_Codeocean_only/fig_C11_console_output.txt
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C11.pdf /results/Figures_Codeocean_only




# Supporting Information, Chapter 9 =================================

mkdir /results/Supporting\ Information

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S17"
Rscript R_script_Fig_S17.R > /results/Supporting\ Information/fig_S17_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S17.pdf /results/Supporting\ Information



# Supporting Information, Chapter 10 =================================


mkdir /results/Supporting\ Information

cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C12"
Rscript R_script_Fig_C12.R > /results/Figures_Codeocean_only/fig_C12_console_output.txt
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C12.pdf /results/Figures_Codeocean_only

cd /code/Data\ analysis/Figures_Codeocean_only
echo "CodeOcean only figure Fig. C13"
Rscript R_script_Fig_C13.R > /results/Figures_Codeocean_only/fig_C13_console_output.txt
cp /code/Data\ analysis/Figures_Codeocean_only/Fig_C13.pdf /results/Figures_Codeocean_only

cd /code/Data\ analysis/Supporting\ Information
echo "Fig. S18"
Rscript R_script_Fig_S18.R > /results/Supporting\ Information/fig_S18_console_output.txt
cp /code/Data\ analysis/Supporting\ Information/Fig_S18.pdf /results/Supporting\ Information


# Copy the CodeOcean only figures documentation
cp /code/Documentation/CodeOceanOnlyResults/CodeOceanOnlyResults.pdf /results/Figures_Codeocean_only



